<?php

//¡Empieza a usar APIsPERU! Token:
//eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6IndpbGxqY2VAZ21haWwuY29tIn0.hT2x3lQmjmAnOtHBGfx4ZMRfRYZp7F9BMgUsT_5of8s

class iPersona
{
    protected $TipoDocumentoCliente;
    protected $NumeroDocumentoCliente;
    public function getTipoDocumentoCliente()
    {
        return $this->TipoDocumentoCliente;
    }

    public function getNumeroDocumentoCliente()
    {
        return $this->NumeroDocumentoCliente;
    }

    public function setTipoDocumentoCliente($TipoDocumentoCliente)
    {
        $this->TipoDocumentoCliente = $TipoDocumentoCliente;
    }

    public function setNumeroDocumentoCliente($NumeroDocumentoCliente)
    {
        $this->NumeroDocumentoCliente = $NumeroDocumentoCliente;
    }

    public function ConsultaDocumentoporServicioWeb()
    {
        $b_Control          = false;
        $b_ControlSeg       = true;
        $s_TipoDocuCliente  = $this->getTipoDocumentoCliente();
        $s_NumDocuCliente   = $this->getNumeroDocumentoCliente();
        $i_IdPersona        = "";

        //validaciones
        $i_CntCarac = strlen( $s_NumDocuCliente );
        if( !$s_TipoDocuCliente )
        {
            throw new Exception( "Se necesita el parametro Tipo de Documento." );
        }
        if( !$s_NumDocuCliente )
        {
            throw new Exception( "Se necesita el parametro Numero de Documento." );
        }
        if( $s_TipoDocuCliente == "DNI" )
        {
            if( $i_CntCarac <> 8 )
            {
                throw new Exception( "El Numero de Documento de Identidad es Incorrecto." );
            }
        }
        if( $s_TipoDocuCliente == "RUC" )
        {
            if( $i_CntCarac <> 11 )
            {
                throw new Exception( "El Registro Unico de Contribuyentes es Incorrecto." );
            }
        }
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        $s_Nombres          = "";
        $s_ApellidoPaterno  = "";
        $s_ApellidoMaterno  = "";
        $s_NombreCompleto   = "";
        $s_NombreComercial  = "";
        $s_FechaActividad   = "";
        $s_DireccionFiscal  = "";
        $s_NivelInstruccion = "";
        $s_EstadoCivil      = "";
        $s_TipoBrevete      = "";
        $s_Sexo             = "";
        $s_CodDepartamento  = "";
        $s_Provincia        = "";
        $s_Distrito         = "";
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        //se busca por el metodo normal
        $o_MST_PersonaMastFN = new MST_PersonaMastFN();
        $o_MST_PersonaMastFN->setTipoDocumento( $s_TipoDocuCliente );
        $o_MST_PersonaMastFN->setDocumento( $s_NumDocuCliente );
        $a_MST_PersonaMast = $o_MST_PersonaMastFN->select();

        if( $a_MST_PersonaMast )
        {
            if( $a_MST_PersonaMast[0]->getEsEmpleado() == "SI" )
            {
                throw new Exception( "El Nro Documento [$s_NumDocuCliente][{$a_MST_PersonaMast[0]->getNombreCompleto()}] Se encuentra registrado como Empleado, no se puede volver a registrar como Cliente. " );
            }
            if( trim( $a_MST_PersonaMast[0]->getNombreCompleto() ) )
            {
                $b_Control           = true;
                $b_ControlSeg        = false;
                $o_MST_PersonaMastBN = $a_MST_PersonaMast[0];
            }
            else
            {
                if( trim( $a_MST_PersonaMast[0]->getNombres() ) )
                {
                    $o_MST_PersonaMastDP = new MST_PersonaMastDP();
                    $o_MST_PersonaMastDP->setIdPersona( $a_MST_PersonaMast[0]->getIdPersona() );
                    $o_MST_PersonaMastDP->setNombreCompleto( trim( $a_MST_PersonaMast[0]->getNombres() )." ".$a_MST_PersonaMast[0]->getApellidoPaterno()." ".$a_MST_PersonaMast[0]->getApellidoMaterno() );
                    $o_MST_PersonaMastDP->setFechaModificacion( date( "Y-m-d H:i:s" ) );
                    $o_MST_PersonaMastDP->setUsuarioModificacion( myUser::getUser()->getUserId() );
                    $o_MST_PersonaMastDP->update();

                    $o_MST_PersonaMastFN = new MST_PersonaMastFN();
                    $o_MST_PersonaMastBN = $o_MST_PersonaMastFN->selectByPK( $a_MST_PersonaMast[0]->getIdPersona() );

                    $b_Control           = true;
                    $b_ControlSeg        = false;
                }
            }
        }

        if( !$b_Control )
        {
            $o_MST_PersonaMastFN = new MST_PersonaMastFN();
            //$o_MST_PersonaMastFN->setTipoDocumento( $s_TipoDocuCliente );
            $o_MST_PersonaMastFN->setDocumentoIdentidad( $s_NumDocuCliente );
            $a_MST_PersonaMast = $o_MST_PersonaMastFN->select();
            if( $a_MST_PersonaMast )
            {
                if( $a_MST_PersonaMast[0]->getEsEmpleado() == "SI" )
                {
                    throw new Exception( "El Nro Documento [$s_NumDocuCliente][{$a_MST_PersonaMast[0]->getNombreCompleto()}] Se encuentra registrado como Empleado, no se puede volver a registrar como Cliente. " );
                }
                if( trim( $a_MST_PersonaMast[0]->getNombreCompleto() ) )
                {
                    $b_Control           = true;
                    $b_ControlSeg        = false;
                    $o_MST_PersonaMastBN = $a_MST_PersonaMast[0];
                }
            }
        }

        if( $b_Control )
        {
            $i_IdPersona        = $o_MST_PersonaMastBN->getIdPersona();
            $s_Nombres          = $o_MST_PersonaMastBN->getNombres();
            $s_ApellidoPaterno  = $o_MST_PersonaMastBN->getApellidoPaterno();
            $s_ApellidoMaterno  = $o_MST_PersonaMastBN->getApellidoMaterno();
            $s_NombreCompleto   = $o_MST_PersonaMastBN->getNombreCompleto();
            $s_NombreComercial  = $o_MST_PersonaMastBN->getNombreComercial();
            $s_FechaActividad   = $o_MST_PersonaMastBN->getFechaNacimiento();
            $s_DireccionFiscal  = $o_MST_PersonaMastBN->getDireccion();
            $s_NivelInstruccion = $o_MST_PersonaMastBN->getNivelInstruccion();
            $s_EstadoCivil      = $o_MST_PersonaMastBN->getEstadoCivil();
            $s_TipoBrevete      = $o_MST_PersonaMastBN->getTipoBrevete();
            $s_TipoPersona      = $o_MST_PersonaMastBN->getTipoPersona();
            if( !$o_MST_PersonaMastBN->getNombreCompleto() )
            {
                $b_Control = false;
            }
        }
        ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

        if( !$b_Control )
        {
            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
            //ahora si no lo encuentra, se busca en la RENIEC
            if( $s_TipoDocuCliente == "DNI" )
            {
                //-----------------------------------------------------------------------------------------------------------------------------
                //https://www.facturacionelectronica.us/consulta-dni.php
                //-----------------------------------------------------------------------------------------------------------------------------
                //http://api.ateneaperu.com/Home/ConsultarDni
                //-----------------------------------------------------------------------------------------------------------------------------
                //fuente: http://soporte.facturacionperu.pe/knowledgebase.php?article=58&rated=1
                //http://www.facturacionsunat.com/vfpsws/vfpsconsbsapi.php?dni=41288353&token=87290E49D50B519&format=json  -> devuelve en JSON
                //-----------------------------------------------------------------------------------------------------------------------------

                //tercer componente
                if( $b_ControlSeg )
                {
                    //TOKEN DE MARCO:
                    $s_Token = "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6Im1hc2NydXoxM0Bob3RtYWlsLmNvbSJ9.mNDdXUeDsTq7zlvdmkFUInQcXlC3qPTbEJIo4kfYi-w";
                    $o_iRestClient = new iRestClient();
                    //pr( "https://dniruc.apisperu.com/api/v1/dni/$s_NumDocuCliente?token=$s_Token" );
                    //$a_Result = $o_iRestClient->getJsonDecode( "https://dniruc.apisperu.com/api/v1/dni/$s_NumDocuCliente?token=$s_Token" );
                    $s_Token = "9a5969ba50b8883389914ba92166f2e05ea35149922956fb2aab687c7f02e609f0f23";
                    $a_Result = $o_iRestClient->getJsonDecode( "https://elitodontologico.com/ibp-admin/ws/ws_reniec3.php?dni=$s_NumDocuCliente&api_token=".$s_Token );
                    if( isset( $a_Result["success"] ) )
                    {
                        if( $a_Result["success"] )
                        {
                            $s_TipoPersona      = "N";
                            $s_Nombres          = $a_Result['data']["nombres"];
                            $s_ApellidoPaterno  = $a_Result['data']["apellido_paterno"];
                            $s_ApellidoMaterno  = $a_Result['data']["apellido_materno"];
                            $s_Sexo             = $a_Result['data']["sexo"]=="MASCULINO" ? "M" : "F";
                            $s_FechaActividad   = $a_Result['data']["fecha_nacimiento"];
                            $s_DireccionFiscal  = $a_Result['data']["direccion"];
                            $s_CodDepartamento  = $a_Result['data']["ubi_dir_depa_cod"]."0000";
                            $s_Provincia        = $a_Result['data']["ubi_dir_depa_cod"].$a_Result['data']["ubi_dir_prov_cod"]."00";
                            $s_Distrito         = $a_Result['data']["ubi_dir_depa_cod"].$a_Result['data']["ubi_dir_prov_cod"].$a_Result['data']["ubi_dir_dist_cod"];
                            $s_NivelInstruccion = "";
                            $s_EstadoCivil      = "";
                            $s_TipoBrevete      = "";

                            $s_NombreCompleto = $s_Nombres . " " . $s_ApellidoPaterno . " " . $s_ApellidoMaterno;
                            $s_NombreComercial = "";

                            $b_ControlSeg = false;
                        }
                    }
                }

                //cuarto componente
                if( $b_ControlSeg )
                {
                    //TOKEN DE WILLY:
                    $s_Token = "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6IndpbGxqY2VAZ21haWwuY29tIn0.hT2x3lQmjmAnOtHBGfx4ZMRfRYZp7F9BMgUsT_5of8s";
                    $o_iRestClient = new iRestClient();
                    $a_Result = $o_iRestClient->getJsonDecode( "https://dniruc.apisperu.com/api/v1/dni/$s_NumDocuCliente?token=$s_Token" );
                    if( isset( $a_Result["nombres"] ) )
                    {
                        $s_TipoPersona      = "N";
                        $s_Nombres          = $a_Result["nombres"];
                        $s_ApellidoPaterno  = $a_Result["apellidoPaterno"];
                        $s_ApellidoMaterno  = $a_Result["apellidoMaterno"];
                        $s_FechaActividad   = "";
                        $s_DireccionFiscal  = "";
                        $s_NivelInstruccion = "";
                        $s_EstadoCivil      = "";
                        $s_TipoBrevete      = "";

                        $s_NombreCompleto  = $s_Nombres." ".$s_ApellidoPaterno." ".$s_ApellidoMaterno;
                        $s_NombreComercial = "";

                        $b_ControlSeg = false;
                    }
                }
            }
            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
            
            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
            //ahora se busca a la SUNAT
            if( $s_TipoDocuCliente == "RUC" )
            {
                $b_ControlSeg  = true;
                $s_TipoPersona = "J";

                //tercer componente
                if( $b_ControlSeg )
                {
                    //TOKEN DE MARCO:
                    //$s_Token = "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6Im1hc2NydXoxM0Bob3RtYWlsLmNvbSJ9.mNDdXUeDsTq7zlvdmkFUInQcXlC3qPTbEJIo4kfYi-w";
                    $s_url ="https://elitodontologico.com/ibp-admin/ws/ws_reniec3.php?ruc=".$s_NumDocuCliente."&api_token=9a5969ba50b8883389914ba92166f2e05ea35149922956fb2aab687c7f02e609f0f23";
                    $o_iRestClient = new iRestClient();
                    //$a_Result = $o_iRestClient->getJsonDecode( "https://dniruc.apisperu.com/api/v1/ruc/$s_NumDocuCliente?token=$s_Token" );
                    $a_ResultT = $o_iRestClient->getJsonDecode( $s_url );
                    $a_Result = $a_ResultT["data"];
                    if( isset( $a_Result["success"] ) )
                    {
                        if( $a_Result["estado"] != "ACTIVO" )
                        {
                            //throw new Exception( "El Cliente tiene un Estado Diferente de ACTIVO en la SUNAT." );
                        }

                        //$s_NombreCompleto   = $a_Result["razonSocial"];
                        $s_NombreCompleto   = $a_Result["nombre_o_razon_social"];
                        $s_NombreComercial  = $a_Result["nombre_o_razon_social"];
                        $s_FechaActividad   = $a_Result["fechaInscripcion"];
                        $s_DireccionFiscal  = $a_Result["direccion"];
                        $s_NivelInstruccion = $a_Result["condicion"];
                        $s_EstadoCivil      = $a_Result["estado"];
                        $s_TipoBrevete      = $a_Result["tipo"];

                        $s_Nombres         = "";
                        $s_ApellidoPaterno = "";
                        $s_ApellidoMaterno = "";

                        $b_ControlSeg = false;
                    }
                }

                //CUARTO componente
                if( $b_ControlSeg )
                {
                    //TOKEN DE WILLY:
                    //TOKEN DE MARCO:
                    //$s_Token = "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJlbWFpbCI6Im1hc2NydXoxM0Bob3RtYWlsLmNvbSJ9.mNDdXUeDsTq7zlvdmkFUInQcXlC3qPTbEJIo4kfYi-w";
                    $s_url ="https://elitodontologico.com/ibp-admin/ws/ws_reniec3.php?ruc=".$s_NumDocuCliente."&api_token=9a5969ba50b8883389914ba92166f2e05ea35149922956fb2aab687c7f02e609f0f23";
                    $o_iRestClient = new iRestClient();
                    //$a_Result = $o_iRestClient->getJsonDecode( "https://dniruc.apisperu.com/api/v1/ruc/$s_NumDocuCliente?token=$s_Token" );
                    $a_ResultT = $o_iRestClient->getJsonDecode( $s_url );
                    $a_Result = $a_ResultT["data"];
                    if( isset( $a_Result["nombre_o_razon_social"] ) )
                    {
                        if( $a_Result["estado"] != "ACTIVO" )
                        {
                            //throw new Exception( "El Cliente tiene un Estado Diferente de ACTIVO en la SUNAT." );
                        }

                        $s_NombreCompleto   = $a_Result["nombre_o_razon_social"];
                        $s_NombreComercial  = $a_Result["nombre_o_razon_social"];
                        $s_FechaActividad   = $a_Result["fechaInscripcion"];
                        $s_DireccionFiscal  = $a_Result["direccion_completa"];
                        $s_NivelInstruccion = $a_Result["condicion"];
                        $s_EstadoCivil      = $a_Result["estado"];
                        $s_TipoBrevete      = $a_Result["tipo"];

                        $s_Nombres         = "";
                        $s_ApellidoPaterno = "";
                        $s_ApellidoMaterno = "";

                        $b_ControlSeg = false;
                    }
                }
            }
            ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
        }
        
        $a_Result = array();

        if( $b_ControlSeg )
        {
            throw new Exception( "No se encontro informacion en la SUNAT." );
        }

        $a_Result['ExisteCliente']    = $b_Control;
        $a_Result['IdPersona']        = $i_IdPersona;
        $a_Result['Nombres']          = utilString::limpiar_caracteres_para_imprimir( $s_Nombres );
        $a_Result['ApellidoPaterno']  = utilString::limpiar_caracteres_para_imprimir( $s_ApellidoPaterno );
        $a_Result['ApellidoMaterno']  = utilString::limpiar_caracteres_para_imprimir( $s_ApellidoMaterno );
        $a_Result['NombreCompleto']   = utilString::limpiar_caracteres_para_imprimir( $s_NombreCompleto );
        $a_Result['NombreComercial']  = utilString::limpiar_caracteres_para_imprimir( $s_NombreComercial );
        $a_Result['FechaActividad']   = $s_FechaActividad;
        $a_Result['DireccionFiscal']  = utilString::limpiar_caracteres_para_imprimir( $s_DireccionFiscal );
        $a_Result['NivelInstruccion'] = $s_NivelInstruccion;
        $a_Result['EstadoCivil']      = $s_EstadoCivil;
        $a_Result['TipoBrevete']      = $s_TipoBrevete;
        $a_Result['TipoPersona']      = $s_TipoPersona;
        $a_Result['Sexo']             = $s_Sexo;
        $a_Result['Departamento']     = $s_CodDepartamento;
        $a_Result['Provincia']        = $s_Provincia;
        $a_Result['Distrito']         = $s_Distrito;
        return $a_Result;
    }
    
}