<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: VTA_Orden.xml */
/* Generado: 2022-06-14 07:58:41 */

/* Mantenimiento de los registros de la tabla VTA_Orden */
abstract class BaseVTA_OrdenDP extends VTA_OrdenBV
{
    /* Constructor ( Establece los valores desde un objeto VTA_OrdenBN ) */
    public function __construct( VTA_OrdenBN $o_VTA_OrdenBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_VTA_OrdenBN ) )
        {
            $this->setByBN( $o_VTA_OrdenBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto VTA_OrdenBN */
    public function setByBN( VTA_OrdenBN $o_VTA_OrdenBN )
    {
        if ( !is_null( $o_VTA_OrdenBN->getOrdenId() ) )
        {
            $this->setOrdenId( $o_VTA_OrdenBN->getOrdenId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getCiaCod() ) )
        {
            $this->setCiaCod( $o_VTA_OrdenBN->getCiaCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getIdSucursal() ) )
        {
            $this->setIdSucursal( $o_VTA_OrdenBN->getIdSucursal() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getPtoVtaCod() ) )
        {
            $this->setPtoVtaCod( $o_VTA_OrdenBN->getPtoVtaCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getIdCaja() ) )
        {
            $this->setIdCaja( $o_VTA_OrdenBN->getIdCaja() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getIdTurno() ) )
        {
            $this->setIdTurno( $o_VTA_OrdenBN->getIdTurno() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getIdProyecto() ) )
        {
            $this->setIdProyecto( $o_VTA_OrdenBN->getIdProyecto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTipoId() ) )
        {
            $this->setOrdenTipoId( $o_VTA_OrdenBN->getOrdenTipoId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTipoComercialId() ) )
        {
            $this->setOrdenTipoComercialId( $o_VTA_OrdenBN->getOrdenTipoComercialId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTipoClasificacionId() ) )
        {
            $this->setOrdenTipoClasificacionId( $o_VTA_OrdenBN->getOrdenTipoClasificacionId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenNum() ) )
        {
            $this->setOrdenNum( $o_VTA_OrdenBN->getOrdenNum() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenPadre() ) )
        {
            $this->setOrdenPadre( $o_VTA_OrdenBN->getOrdenPadre() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenFecha() ) )
        {
            $this->setOrdenFecha( $o_VTA_OrdenBN->getOrdenFecha() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenVenc() ) )
        {
            $this->setOrdenVenc( $o_VTA_OrdenBN->getOrdenVenc() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFechaInicioAlq() ) )
        {
            $this->setFechaInicioAlq( $o_VTA_OrdenBN->getFechaInicioAlq() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFechaFinAlq() ) )
        {
            $this->setFechaFinAlq( $o_VTA_OrdenBN->getFechaFinAlq() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getAlmacenCod() ) )
        {
            $this->setAlmacenCod( $o_VTA_OrdenBN->getAlmacenCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getAlmacenDespacho() ) )
        {
            $this->setAlmacenDespacho( $o_VTA_OrdenBN->getAlmacenDespacho() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteId() ) )
        {
            $this->setClienteId( $o_VTA_OrdenBN->getClienteId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteNombre() ) )
        {
            $this->setClienteNombre( $o_VTA_OrdenBN->getClienteNombre() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteDocCod() ) )
        {
            $this->setClienteDocCod( $o_VTA_OrdenBN->getClienteDocCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteDocNum() ) )
        {
            $this->setClienteDocNum( $o_VTA_OrdenBN->getClienteDocNum() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteSucursal() ) )
        {
            $this->setClienteSucursal( $o_VTA_OrdenBN->getClienteSucursal() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactDirec1() ) )
        {
            $this->setFactDirec1( $o_VTA_OrdenBN->getFactDirec1() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactDirec2() ) )
        {
            $this->setFactDirec2( $o_VTA_OrdenBN->getFactDirec2() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactDirec3() ) )
        {
            $this->setFactDirec3( $o_VTA_OrdenBN->getFactDirec3() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactCiudad() ) )
        {
            $this->setFactCiudad( $o_VTA_OrdenBN->getFactCiudad() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactEstado() ) )
        {
            $this->setFactEstado( $o_VTA_OrdenBN->getFactEstado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactPais() ) )
        {
            $this->setFactPais( $o_VTA_OrdenBN->getFactPais() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getVendedorCliente() ) )
        {
            $this->setVendedorCliente( $o_VTA_OrdenBN->getVendedorCliente() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getVendedorOrden() ) )
        {
            $this->setVendedorOrden( $o_VTA_OrdenBN->getVendedorOrden() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getPrecioNivel() ) )
        {
            $this->setPrecioNivel( $o_VTA_OrdenBN->getPrecioNivel() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactRegla() ) )
        {
            $this->setFactRegla( $o_VTA_OrdenBN->getFactRegla() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getContactoMedio() ) )
        {
            $this->setContactoMedio( $o_VTA_OrdenBN->getContactoMedio() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getContactoNombre() ) )
        {
            $this->setContactoNombre( $o_VTA_OrdenBN->getContactoNombre() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getCondicionVentaId() ) )
        {
            $this->setCondicionVentaId( $o_VTA_OrdenBN->getCondicionVentaId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFormaPagoDesc() ) )
        {
            $this->setFormaPagoDesc( $o_VTA_OrdenBN->getFormaPagoDesc() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getValidezOrden() ) )
        {
            $this->setValidezOrden( $o_VTA_OrdenBN->getValidezOrden() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getPlazaEntregaOrden() ) )
        {
            $this->setPlazaEntregaOrden( $o_VTA_OrdenBN->getPlazaEntregaOrden() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getCondicionVenta() ) )
        {
            $this->setCondicionVenta( $o_VTA_OrdenBN->getCondicionVenta() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDiasAlquiler() ) )
        {
            $this->setDiasAlquiler( $o_VTA_OrdenBN->getDiasAlquiler() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenCompraRef() ) )
        {
            $this->setOrdenCompraRef( $o_VTA_OrdenBN->getOrdenCompraRef() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getReferenciaTipoDocId() ) )
        {
            $this->setReferenciaTipoDocId( $o_VTA_OrdenBN->getReferenciaTipoDocId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDocReferenciaTipo() ) )
        {
            $this->setDocReferenciaTipo( $o_VTA_OrdenBN->getDocReferenciaTipo() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDocReferenciaNum() ) )
        {
            $this->setDocReferenciaNum( $o_VTA_OrdenBN->getDocReferenciaNum() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDocReferenciaId() ) )
        {
            $this->setDocReferenciaId( $o_VTA_OrdenBN->getDocReferenciaId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDocReferenciaFecha() ) )
        {
            $this->setDocReferenciaFecha( $o_VTA_OrdenBN->getDocReferenciaFecha() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenCredito() ) )
        {
            $this->setOrdenCredito( $o_VTA_OrdenBN->getOrdenCredito() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenCreditoEstado() ) )
        {
            $this->setOrdenCreditoEstado( $o_VTA_OrdenBN->getOrdenCreditoEstado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuestoFlag() ) )
        {
            $this->setOrdenImpuestoFlag( $o_VTA_OrdenBN->getOrdenImpuestoFlag() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenExoneradoFlag() ) )
        {
            $this->setOrdenExoneradoFlag( $o_VTA_OrdenBN->getOrdenExoneradoFlag() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMonedaCod() ) )
        {
            $this->setMonedaCod( $o_VTA_OrdenBN->getMonedaCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMonedaCambioValor() ) )
        {
            $this->setMonedaCambioValor( $o_VTA_OrdenBN->getMonedaCambioValor() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenVenta() ) )
        {
            $this->setOrdenVenta( $o_VTA_OrdenBN->getOrdenVenta() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenVentaMN() ) )
        {
            $this->setOrdenVentaMN( $o_VTA_OrdenBN->getOrdenVentaMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDsctoTipoCod() ) )
        {
            $this->setDsctoTipoCod( $o_VTA_OrdenBN->getDsctoTipoCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDsctoCod() ) )
        {
            $this->setDsctoCod( $o_VTA_OrdenBN->getDsctoCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenDscto() ) )
        {
            $this->setOrdenDscto( $o_VTA_OrdenBN->getOrdenDscto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenDsctoMN() ) )
        {
            $this->setOrdenDsctoMN( $o_VTA_OrdenBN->getOrdenDsctoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenDsctoLinea() ) )
        {
            $this->setOrdenDsctoLinea( $o_VTA_OrdenBN->getOrdenDsctoLinea() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenDsctoLineaMN() ) )
        {
            $this->setOrdenDsctoLineaMN( $o_VTA_OrdenBN->getOrdenDsctoLineaMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMontoAnticipo() ) )
        {
            $this->setMontoAnticipo( $o_VTA_OrdenBN->getMontoAnticipo() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMontoAnticipoMN() ) )
        {
            $this->setMontoAnticipoMN( $o_VTA_OrdenBN->getMontoAnticipoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMontoExonerado() ) )
        {
            $this->setMontoExonerado( $o_VTA_OrdenBN->getMontoExonerado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMontoExoneradoMN() ) )
        {
            $this->setMontoExoneradoMN( $o_VTA_OrdenBN->getMontoExoneradoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenAfecto() ) )
        {
            $this->setOrdenAfecto( $o_VTA_OrdenBN->getOrdenAfecto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenAfectoMN() ) )
        {
            $this->setOrdenAfectoMN( $o_VTA_OrdenBN->getOrdenAfectoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenInafecto() ) )
        {
            $this->setOrdenInafecto( $o_VTA_OrdenBN->getOrdenInafecto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenInafectoMN() ) )
        {
            $this->setOrdenInafectoMN( $o_VTA_OrdenBN->getOrdenInafectoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuesto() ) )
        {
            $this->setOrdenImpuesto( $o_VTA_OrdenBN->getOrdenImpuesto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuestoMN() ) )
        {
            $this->setOrdenImpuestoMN( $o_VTA_OrdenBN->getOrdenImpuestoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenNeto() ) )
        {
            $this->setOrdenNeto( $o_VTA_OrdenBN->getOrdenNeto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenNetoMN() ) )
        {
            $this->setOrdenNetoMN( $o_VTA_OrdenBN->getOrdenNetoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenBaseImponible() ) )
        {
            $this->setOrdenBaseImponible( $o_VTA_OrdenBN->getOrdenBaseImponible() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenBaseImponibleMN() ) )
        {
            $this->setOrdenBaseImponibleMN( $o_VTA_OrdenBN->getOrdenBaseImponibleMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuestoConDscto() ) )
        {
            $this->setOrdenImpuestoConDscto( $o_VTA_OrdenBN->getOrdenImpuestoConDscto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuestoConDsctoMN() ) )
        {
            $this->setOrdenImpuestoConDsctoMN( $o_VTA_OrdenBN->getOrdenImpuestoConDsctoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTotalaPagar() ) )
        {
            $this->setOrdenTotalaPagar( $o_VTA_OrdenBN->getOrdenTotalaPagar() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTotalaPagarMN() ) )
        {
            $this->setOrdenTotalaPagarMN( $o_VTA_OrdenBN->getOrdenTotalaPagarMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenComision() ) )
        {
            $this->setOrdenComision( $o_VTA_OrdenBN->getOrdenComision() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenObs() ) )
        {
            $this->setOrdenObs( $o_VTA_OrdenBN->getOrdenObs() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getAnulacionComentario() ) )
        {
            $this->setAnulacionComentario( $o_VTA_OrdenBN->getAnulacionComentario() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getAdminComentario() ) )
        {
            $this->setAdminComentario( $o_VTA_OrdenBN->getAdminComentario() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenEstado() ) )
        {
            $this->setOrdenEstado( $o_VTA_OrdenBN->getOrdenEstado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getEstadoDevolucion() ) )
        {
            $this->setEstadoDevolucion( $o_VTA_OrdenBN->getEstadoDevolucion() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenBloqueado() ) )
        {
            $this->setOrdenBloqueado( $o_VTA_OrdenBN->getOrdenBloqueado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_VTA_OrdenBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_VTA_OrdenBN->getFechaCreacion() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getUsuarioActualizacion() ) )
        {
            $this->setUsuarioActualizacion( $o_VTA_OrdenBN->getUsuarioActualizacion() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFechaActualizacion() ) )
        {
            $this->setFechaActualizacion( $o_VTA_OrdenBN->getFechaActualizacion() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_VTA_OrdenFN = new VTA_OrdenFN();
        $o_VTA_OrdenBN = $o_VTA_OrdenFN->selectByPk( $this->getOrdenId() );
        if ( is_null( $o_VTA_OrdenBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO VTA_Orden ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getOrdenId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenId";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCiaCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CiaCod";
                $s_SQLQuery2 .= $s_Separator."".$this->getCiaCod()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdSucursal";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPtoVtaCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PtoVtaCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPtoVtaCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCaja() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdCaja";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdCaja()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTurno() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdTurno";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdTurno()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdProyecto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdProyecto";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdProyecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTipoId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenTipoId";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenTipoId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTipoComercialId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenTipoComercialId";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenTipoComercialId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTipoClasificacionId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenTipoClasificacionId";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenTipoClasificacionId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenNum() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenNum";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenPadre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenPadre";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenPadre()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenFecha() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenFecha";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenVenc() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenVenc";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenVenc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaInicioAlq() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaInicioAlq";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaInicioAlq()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaFinAlq() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaFinAlq";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaFinAlq()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAlmacenCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."AlmacenCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getAlmacenCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAlmacenDespacho() ) )
            {
                $s_SQLQuery1 .= $s_Separator."AlmacenDespacho";
                $s_SQLQuery2 .= $s_Separator."'".$this->getAlmacenDespacho()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ClienteId";
                $s_SQLQuery2 .= $s_Separator."".$this->getClienteId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteNombre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ClienteNombre";
                $s_SQLQuery2 .= $s_Separator."'".$this->getClienteNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteDocCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ClienteDocCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getClienteDocCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteDocNum() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ClienteDocNum";
                $s_SQLQuery2 .= $s_Separator."'".$this->getClienteDocNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteSucursal() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ClienteSucursal";
                $s_SQLQuery2 .= $s_Separator."'".$this->getClienteSucursal()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactDirec1() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FactDirec1";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFactDirec1()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactDirec2() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FactDirec2";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFactDirec2()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactDirec3() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FactDirec3";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFactDirec3()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactCiudad() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FactCiudad";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFactCiudad()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FactEstado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFactEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactPais() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FactPais";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFactPais()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getVendedorCliente() ) )
            {
                $s_SQLQuery1 .= $s_Separator."VendedorCliente";
                $s_SQLQuery2 .= $s_Separator."'".$this->getVendedorCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getVendedorOrden() ) )
            {
                $s_SQLQuery1 .= $s_Separator."VendedorOrden";
                $s_SQLQuery2 .= $s_Separator."'".$this->getVendedorOrden()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioNivel() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PrecioNivel";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPrecioNivel()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactRegla() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FactRegla";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFactRegla()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getContactoMedio() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ContactoMedio";
                $s_SQLQuery2 .= $s_Separator."'".$this->getContactoMedio()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getContactoNombre() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ContactoNombre";
                $s_SQLQuery2 .= $s_Separator."'".$this->getContactoNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCondicionVentaId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CondicionVentaId";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCondicionVentaId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFormaPagoDesc() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FormaPagoDesc";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFormaPagoDesc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getValidezOrden() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ValidezOrden";
                $s_SQLQuery2 .= $s_Separator."'".$this->getValidezOrden()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPlazaEntregaOrden() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PlazaEntregaOrden";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPlazaEntregaOrden()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCondicionVenta() ) )
            {
                $s_SQLQuery1 .= $s_Separator."CondicionVenta";
                $s_SQLQuery2 .= $s_Separator."'".$this->getCondicionVenta()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDiasAlquiler() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DiasAlquiler";
                $s_SQLQuery2 .= $s_Separator."".$this->getDiasAlquiler()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenCompraRef() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenCompraRef";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenCompraRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getReferenciaTipoDocId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."ReferenciaTipoDocId";
                $s_SQLQuery2 .= $s_Separator."'".$this->getReferenciaTipoDocId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocReferenciaTipo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocReferenciaTipo";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocReferenciaTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocReferenciaNum() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocReferenciaNum";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocReferenciaNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocReferenciaId() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocReferenciaId";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocReferenciaId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocReferenciaFecha() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DocReferenciaFecha";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDocReferenciaFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenCredito() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenCredito";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenCredito()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenCreditoEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenCreditoEstado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenCreditoEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuestoFlag() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenImpuestoFlag";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenImpuestoFlag()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenExoneradoFlag() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenExoneradoFlag";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenExoneradoFlag()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonedaCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MonedaCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getMonedaCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonedaCambioValor() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MonedaCambioValor";
                $s_SQLQuery2 .= $s_Separator."".$this->getMonedaCambioValor()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenVenta() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenVenta";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenVenta()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenVentaMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenVentaMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenVentaMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoTipoCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DsctoTipoCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDsctoTipoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DsctoCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDsctoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDscto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDscto";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDscto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDsctoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDsctoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDsctoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDsctoLinea() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDsctoLinea";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDsctoLinea()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDsctoLineaMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenDsctoLineaMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenDsctoLineaMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAnticipo() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoAnticipo";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoAnticipo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAnticipoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoAnticipoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoAnticipoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoExonerado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoExonerado";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoExonerado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoExoneradoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."MontoExoneradoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getMontoExoneradoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenAfecto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenAfecto";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenAfecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenAfectoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenAfectoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenAfectoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenInafecto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenInafecto";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenInafecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenInafectoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenInafectoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenInafectoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuesto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenImpuesto";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenImpuesto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuestoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenImpuestoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenImpuestoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenNeto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenNeto";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenNeto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenNetoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenNetoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenNetoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenBaseImponible() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenBaseImponible";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenBaseImponible()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenBaseImponibleMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenBaseImponibleMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenBaseImponibleMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuestoConDscto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenImpuestoConDscto";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenImpuestoConDscto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuestoConDsctoMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenImpuestoConDsctoMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenImpuestoConDsctoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTotalaPagar() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenTotalaPagar";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenTotalaPagar()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTotalaPagarMN() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenTotalaPagarMN";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenTotalaPagarMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenComision() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenComision";
                $s_SQLQuery2 .= $s_Separator."".$this->getOrdenComision()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenObs() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenObs";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenObs()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAnulacionComentario() ) )
            {
                $s_SQLQuery1 .= $s_Separator."AnulacionComentario";
                $s_SQLQuery2 .= $s_Separator."'".$this->getAnulacionComentario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAdminComentario() ) )
            {
                $s_SQLQuery1 .= $s_Separator."AdminComentario";
                $s_SQLQuery2 .= $s_Separator."'".$this->getAdminComentario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenEstado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstadoDevolucion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."EstadoDevolucion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstadoDevolucion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenBloqueado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."OrdenBloqueado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getOrdenBloqueado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioActualizacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioActualizacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioActualizacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaActualizacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaActualizacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaActualizacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE VTA_Orden SET ";
            $s_Separator = "";
            if ( !is_null( $this->getCiaCod() ) )
            {
                $s_SQLQuery .= $s_Separator."CiaCod = ".$this->getCiaCod()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdSucursal() ) )
            {
                $s_SQLQuery .= $s_Separator."IdSucursal = ".$this->getIdSucursal()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPtoVtaCod() ) )
            {
                $s_SQLQuery .= $s_Separator."PtoVtaCod = '".$this->getPtoVtaCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdCaja() ) )
            {
                $s_SQLQuery .= $s_Separator."IdCaja = ".$this->getIdCaja()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdTurno() ) )
            {
                $s_SQLQuery .= $s_Separator."IdTurno = ".$this->getIdTurno()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIdProyecto() ) )
            {
                $s_SQLQuery .= $s_Separator."IdProyecto = ".$this->getIdProyecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTipoId() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenTipoId = ".$this->getOrdenTipoId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTipoComercialId() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenTipoComercialId = ".$this->getOrdenTipoComercialId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTipoClasificacionId() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenTipoClasificacionId = ".$this->getOrdenTipoClasificacionId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenNum() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenNum = '".$this->getOrdenNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenPadre() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenPadre = ".$this->getOrdenPadre()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenFecha() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenFecha = '".$this->getOrdenFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenVenc() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenVenc = '".$this->getOrdenVenc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaInicioAlq() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaInicioAlq = '".$this->getFechaInicioAlq()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaFinAlq() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaFinAlq = '".$this->getFechaFinAlq()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAlmacenCod() ) )
            {
                $s_SQLQuery .= $s_Separator."AlmacenCod = '".$this->getAlmacenCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAlmacenDespacho() ) )
            {
                $s_SQLQuery .= $s_Separator."AlmacenDespacho = '".$this->getAlmacenDespacho()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteId() ) )
            {
                $s_SQLQuery .= $s_Separator."ClienteId = ".$this->getClienteId()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteNombre() ) )
            {
                $s_SQLQuery .= $s_Separator."ClienteNombre = '".$this->getClienteNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteDocCod() ) )
            {
                $s_SQLQuery .= $s_Separator."ClienteDocCod = '".$this->getClienteDocCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteDocNum() ) )
            {
                $s_SQLQuery .= $s_Separator."ClienteDocNum = '".$this->getClienteDocNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getClienteSucursal() ) )
            {
                $s_SQLQuery .= $s_Separator."ClienteSucursal = '".$this->getClienteSucursal()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactDirec1() ) )
            {
                $s_SQLQuery .= $s_Separator."FactDirec1 = '".$this->getFactDirec1()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactDirec2() ) )
            {
                $s_SQLQuery .= $s_Separator."FactDirec2 = '".$this->getFactDirec2()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactDirec3() ) )
            {
                $s_SQLQuery .= $s_Separator."FactDirec3 = '".$this->getFactDirec3()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactCiudad() ) )
            {
                $s_SQLQuery .= $s_Separator."FactCiudad = '".$this->getFactCiudad()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."FactEstado = '".$this->getFactEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactPais() ) )
            {
                $s_SQLQuery .= $s_Separator."FactPais = '".$this->getFactPais()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getVendedorCliente() ) )
            {
                $s_SQLQuery .= $s_Separator."VendedorCliente = '".$this->getVendedorCliente()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getVendedorOrden() ) )
            {
                $s_SQLQuery .= $s_Separator."VendedorOrden = '".$this->getVendedorOrden()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPrecioNivel() ) )
            {
                $s_SQLQuery .= $s_Separator."PrecioNivel = '".$this->getPrecioNivel()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFactRegla() ) )
            {
                $s_SQLQuery .= $s_Separator."FactRegla = '".$this->getFactRegla()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getContactoMedio() ) )
            {
                $s_SQLQuery .= $s_Separator."ContactoMedio = '".$this->getContactoMedio()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getContactoNombre() ) )
            {
                $s_SQLQuery .= $s_Separator."ContactoNombre = '".$this->getContactoNombre()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCondicionVentaId() ) )
            {
                $s_SQLQuery .= $s_Separator."CondicionVentaId = '".$this->getCondicionVentaId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFormaPagoDesc() ) )
            {
                $s_SQLQuery .= $s_Separator."FormaPagoDesc = '".$this->getFormaPagoDesc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getValidezOrden() ) )
            {
                $s_SQLQuery .= $s_Separator."ValidezOrden = '".$this->getValidezOrden()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPlazaEntregaOrden() ) )
            {
                $s_SQLQuery .= $s_Separator."PlazaEntregaOrden = '".$this->getPlazaEntregaOrden()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getCondicionVenta() ) )
            {
                $s_SQLQuery .= $s_Separator."CondicionVenta = '".$this->getCondicionVenta()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDiasAlquiler() ) )
            {
                $s_SQLQuery .= $s_Separator."DiasAlquiler = ".$this->getDiasAlquiler()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenCompraRef() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenCompraRef = '".$this->getOrdenCompraRef()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getReferenciaTipoDocId() ) )
            {
                $s_SQLQuery .= $s_Separator."ReferenciaTipoDocId = '".$this->getReferenciaTipoDocId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocReferenciaTipo() ) )
            {
                $s_SQLQuery .= $s_Separator."DocReferenciaTipo = '".$this->getDocReferenciaTipo()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocReferenciaNum() ) )
            {
                $s_SQLQuery .= $s_Separator."DocReferenciaNum = '".$this->getDocReferenciaNum()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocReferenciaId() ) )
            {
                $s_SQLQuery .= $s_Separator."DocReferenciaId = '".$this->getDocReferenciaId()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDocReferenciaFecha() ) )
            {
                $s_SQLQuery .= $s_Separator."DocReferenciaFecha = '".$this->getDocReferenciaFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenCredito() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenCredito = '".$this->getOrdenCredito()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenCreditoEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenCreditoEstado = '".$this->getOrdenCreditoEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuestoFlag() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenImpuestoFlag = '".$this->getOrdenImpuestoFlag()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenExoneradoFlag() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenExoneradoFlag = '".$this->getOrdenExoneradoFlag()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonedaCod() ) )
            {
                $s_SQLQuery .= $s_Separator."MonedaCod = '".$this->getMonedaCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMonedaCambioValor() ) )
            {
                $s_SQLQuery .= $s_Separator."MonedaCambioValor = ".$this->getMonedaCambioValor()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenVenta() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenVenta = ".$this->getOrdenVenta()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenVentaMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenVentaMN = ".$this->getOrdenVentaMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoTipoCod() ) )
            {
                $s_SQLQuery .= $s_Separator."DsctoTipoCod = '".$this->getDsctoTipoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDsctoCod() ) )
            {
                $s_SQLQuery .= $s_Separator."DsctoCod = '".$this->getDsctoCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDscto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDscto = ".$this->getOrdenDscto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDsctoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDsctoMN = ".$this->getOrdenDsctoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDsctoLinea() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDsctoLinea = ".$this->getOrdenDsctoLinea()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenDsctoLineaMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenDsctoLineaMN = ".$this->getOrdenDsctoLineaMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAnticipo() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoAnticipo = ".$this->getMontoAnticipo()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoAnticipoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoAnticipoMN = ".$this->getMontoAnticipoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoExonerado() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoExonerado = ".$this->getMontoExonerado()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getMontoExoneradoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."MontoExoneradoMN = ".$this->getMontoExoneradoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenAfecto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenAfecto = ".$this->getOrdenAfecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenAfectoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenAfectoMN = ".$this->getOrdenAfectoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenInafecto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenInafecto = ".$this->getOrdenInafecto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenInafectoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenInafectoMN = ".$this->getOrdenInafectoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuesto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenImpuesto = ".$this->getOrdenImpuesto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuestoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenImpuestoMN = ".$this->getOrdenImpuestoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenNeto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenNeto = ".$this->getOrdenNeto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenNetoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenNetoMN = ".$this->getOrdenNetoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenBaseImponible() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenBaseImponible = ".$this->getOrdenBaseImponible()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenBaseImponibleMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenBaseImponibleMN = ".$this->getOrdenBaseImponibleMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuestoConDscto() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenImpuestoConDscto = ".$this->getOrdenImpuestoConDscto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenImpuestoConDsctoMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenImpuestoConDsctoMN = ".$this->getOrdenImpuestoConDsctoMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTotalaPagar() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenTotalaPagar = ".$this->getOrdenTotalaPagar()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenTotalaPagarMN() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenTotalaPagarMN = ".$this->getOrdenTotalaPagarMN()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenComision() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenComision = ".$this->getOrdenComision()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenObs() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenObs = '".$this->getOrdenObs()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAnulacionComentario() ) )
            {
                $s_SQLQuery .= $s_Separator."AnulacionComentario = '".$this->getAnulacionComentario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getAdminComentario() ) )
            {
                $s_SQLQuery .= $s_Separator."AdminComentario = '".$this->getAdminComentario()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenEstado = '".$this->getOrdenEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstadoDevolucion() ) )
            {
                $s_SQLQuery .= $s_Separator."EstadoDevolucion = '".$this->getEstadoDevolucion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getOrdenBloqueado() ) )
            {
                $s_SQLQuery .= $s_Separator."OrdenBloqueado = '".$this->getOrdenBloqueado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioActualizacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioActualizacion = '".$this->getUsuarioActualizacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaActualizacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaActualizacion = '".$this->getFechaActualizacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  OrdenId = ".$this->getOrdenId().";";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM VTA_Orden WHERE  OrdenId = ".$this->getOrdenId().";";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        return true;
    }

}
?>