<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: VTA_Orden.xml */
/* Generado: 2022-06-14 07:58:41 */

/* Busqueda de registros de la tabla VTA_Orden. */
abstract class BaseVTA_OrdenFN extends VTA_OrdenBN
{
    /* Declaracion de constantes */
    const OrdenId = "VTA_Orden.OrdenId";
    const CiaCod = "VTA_Orden.CiaCod";
    const IdSucursal = "VTA_Orden.IdSucursal";
    const PtoVtaCod = "VTA_Orden.PtoVtaCod";
    const IdCaja = "VTA_Orden.IdCaja";
    const IdTurno = "VTA_Orden.IdTurno";
    const IdProyecto = "VTA_Orden.IdProyecto";
    const OrdenTipoId = "VTA_Orden.OrdenTipoId";
    const OrdenTipoComercialId = "VTA_Orden.OrdenTipoComercialId";
    const OrdenTipoClasificacionId = "VTA_Orden.OrdenTipoClasificacionId";
    const OrdenNum = "VTA_Orden.OrdenNum";
    const OrdenPadre = "VTA_Orden.OrdenPadre";
    const OrdenFecha = "VTA_Orden.OrdenFecha";
    const OrdenVenc = "VTA_Orden.OrdenVenc";
    const FechaInicioAlq = "VTA_Orden.FechaInicioAlq";
    const FechaFinAlq = "VTA_Orden.FechaFinAlq";
    const AlmacenCod = "VTA_Orden.AlmacenCod";
    const AlmacenDespacho = "VTA_Orden.AlmacenDespacho";
    const ClienteId = "VTA_Orden.ClienteId";
    const ClienteNombre = "VTA_Orden.ClienteNombre";
    const ClienteDocCod = "VTA_Orden.ClienteDocCod";
    const ClienteDocNum = "VTA_Orden.ClienteDocNum";
    const ClienteSucursal = "VTA_Orden.ClienteSucursal";
    const FactDirec1 = "VTA_Orden.FactDirec1";
    const FactDirec2 = "VTA_Orden.FactDirec2";
    const FactDirec3 = "VTA_Orden.FactDirec3";
    const FactCiudad = "VTA_Orden.FactCiudad";
    const FactEstado = "VTA_Orden.FactEstado";
    const FactPais = "VTA_Orden.FactPais";
    const VendedorCliente = "VTA_Orden.VendedorCliente";
    const VendedorOrden = "VTA_Orden.VendedorOrden";
    const PrecioNivel = "VTA_Orden.PrecioNivel";
    const FactRegla = "VTA_Orden.FactRegla";
    const ContactoMedio = "VTA_Orden.ContactoMedio";
    const ContactoNombre = "VTA_Orden.ContactoNombre";
    const CondicionVentaId = "VTA_Orden.CondicionVentaId";
    const FormaPagoDesc = "VTA_Orden.FormaPagoDesc";
    const ValidezOrden = "VTA_Orden.ValidezOrden";
    const PlazaEntregaOrden = "VTA_Orden.PlazaEntregaOrden";
    const CondicionVenta = "VTA_Orden.CondicionVenta";
    const DiasAlquiler = "VTA_Orden.DiasAlquiler";
    const OrdenCompraRef = "VTA_Orden.OrdenCompraRef";
    const ReferenciaTipoDocId = "VTA_Orden.ReferenciaTipoDocId";
    const DocReferenciaTipo = "VTA_Orden.DocReferenciaTipo";
    const DocReferenciaNum = "VTA_Orden.DocReferenciaNum";
    const DocReferenciaId = "VTA_Orden.DocReferenciaId";
    const DocReferenciaFecha = "VTA_Orden.DocReferenciaFecha";
    const OrdenCredito = "VTA_Orden.OrdenCredito";
    const OrdenCreditoEstado = "VTA_Orden.OrdenCreditoEstado";
    const OrdenImpuestoFlag = "VTA_Orden.OrdenImpuestoFlag";
    const OrdenExoneradoFlag = "VTA_Orden.OrdenExoneradoFlag";
    const MonedaCod = "VTA_Orden.MonedaCod";
    const MonedaCambioValor = "VTA_Orden.MonedaCambioValor";
    const OrdenVenta = "VTA_Orden.OrdenVenta";
    const OrdenVentaMN = "VTA_Orden.OrdenVentaMN";
    const DsctoTipoCod = "VTA_Orden.DsctoTipoCod";
    const DsctoCod = "VTA_Orden.DsctoCod";
    const OrdenDscto = "VTA_Orden.OrdenDscto";
    const OrdenDsctoMN = "VTA_Orden.OrdenDsctoMN";
    const OrdenDsctoLinea = "VTA_Orden.OrdenDsctoLinea";
    const OrdenDsctoLineaMN = "VTA_Orden.OrdenDsctoLineaMN";
    const MontoAnticipo = "VTA_Orden.MontoAnticipo";
    const MontoAnticipoMN = "VTA_Orden.MontoAnticipoMN";
    const MontoExonerado = "VTA_Orden.MontoExonerado";
    const MontoExoneradoMN = "VTA_Orden.MontoExoneradoMN";
    const OrdenAfecto = "VTA_Orden.OrdenAfecto";
    const OrdenAfectoMN = "VTA_Orden.OrdenAfectoMN";
    const OrdenInafecto = "VTA_Orden.OrdenInafecto";
    const OrdenInafectoMN = "VTA_Orden.OrdenInafectoMN";
    const OrdenImpuesto = "VTA_Orden.OrdenImpuesto";
    const OrdenImpuestoMN = "VTA_Orden.OrdenImpuestoMN";
    const OrdenNeto = "VTA_Orden.OrdenNeto";
    const OrdenNetoMN = "VTA_Orden.OrdenNetoMN";
    const OrdenBaseImponible = "VTA_Orden.OrdenBaseImponible";
    const OrdenBaseImponibleMN = "VTA_Orden.OrdenBaseImponibleMN";
    const OrdenImpuestoConDscto = "VTA_Orden.OrdenImpuestoConDscto";
    const OrdenImpuestoConDsctoMN = "VTA_Orden.OrdenImpuestoConDsctoMN";
    const OrdenTotalaPagar = "VTA_Orden.OrdenTotalaPagar";
    const OrdenTotalaPagarMN = "VTA_Orden.OrdenTotalaPagarMN";
    const OrdenComision = "VTA_Orden.OrdenComision";
    const OrdenObs = "VTA_Orden.OrdenObs";
    const AnulacionComentario = "VTA_Orden.AnulacionComentario";
    const AdminComentario = "VTA_Orden.AdminComentario";
    const OrdenEstado = "VTA_Orden.OrdenEstado";
    const EstadoDevolucion = "VTA_Orden.EstadoDevolucion";
    const OrdenBloqueado = "VTA_Orden.OrdenBloqueado";
    const UsuarioCreacion = "VTA_Orden.UsuarioCreacion";
    const FechaCreacion = "VTA_Orden.FechaCreacion";
    const UsuarioActualizacion = "VTA_Orden.UsuarioActualizacion";
    const FechaActualizacion = "VTA_Orden.FechaActualizacion";

    public $a_Condition = array();
    public $a_OrderBy = array();
    public $a_GroupBy = array();
    public $b_Debug = false;

    /* Obtiene una conexion a la base de datos */
    public function getConnect()
    {
        $o_DBConnect = Conexion::getConexion();
        return $o_DBConnect;
    }

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Obtiene la cadena de columas */
    public function getSelectColumns()
    {
        $s_SQLQuery = "VTA_Orden.OrdenId AS OrdenId, ";
        $s_SQLQuery .= "VTA_Orden.CiaCod AS CiaCod, ";
        $s_SQLQuery .= "VTA_Orden.IdSucursal AS IdSucursal, ";
        $s_SQLQuery .= "VTA_Orden.PtoVtaCod AS PtoVtaCod, ";
        $s_SQLQuery .= "VTA_Orden.IdCaja AS IdCaja, ";
        $s_SQLQuery .= "VTA_Orden.IdTurno AS IdTurno, ";
        $s_SQLQuery .= "VTA_Orden.IdProyecto AS IdProyecto, ";
        $s_SQLQuery .= "VTA_Orden.OrdenTipoId AS OrdenTipoId, ";
        $s_SQLQuery .= "VTA_Orden.OrdenTipoComercialId AS OrdenTipoComercialId, ";
        $s_SQLQuery .= "VTA_Orden.OrdenTipoClasificacionId AS OrdenTipoClasificacionId, ";
        $s_SQLQuery .= "VTA_Orden.OrdenNum AS OrdenNum, ";
        $s_SQLQuery .= "VTA_Orden.OrdenPadre AS OrdenPadre, ";
        $s_SQLQuery .= "VTA_Orden.OrdenFecha AS OrdenFecha, ";
        $s_SQLQuery .= "VTA_Orden.OrdenVenc AS OrdenVenc, ";
        $s_SQLQuery .= "VTA_Orden.FechaInicioAlq AS FechaInicioAlq, ";
        $s_SQLQuery .= "VTA_Orden.FechaFinAlq AS FechaFinAlq, ";
        $s_SQLQuery .= "VTA_Orden.AlmacenCod AS AlmacenCod, ";
        $s_SQLQuery .= "VTA_Orden.AlmacenDespacho AS AlmacenDespacho, ";
        $s_SQLQuery .= "VTA_Orden.ClienteId AS ClienteId, ";
        $s_SQLQuery .= "VTA_Orden.ClienteNombre AS ClienteNombre, ";
        $s_SQLQuery .= "VTA_Orden.ClienteDocCod AS ClienteDocCod, ";
        $s_SQLQuery .= "VTA_Orden.ClienteDocNum AS ClienteDocNum, ";
        $s_SQLQuery .= "VTA_Orden.ClienteSucursal AS ClienteSucursal, ";
        $s_SQLQuery .= "VTA_Orden.FactDirec1 AS FactDirec1, ";
        $s_SQLQuery .= "VTA_Orden.FactDirec2 AS FactDirec2, ";
        $s_SQLQuery .= "VTA_Orden.FactDirec3 AS FactDirec3, ";
        $s_SQLQuery .= "VTA_Orden.FactCiudad AS FactCiudad, ";
        $s_SQLQuery .= "VTA_Orden.FactEstado AS FactEstado, ";
        $s_SQLQuery .= "VTA_Orden.FactPais AS FactPais, ";
        $s_SQLQuery .= "VTA_Orden.VendedorCliente AS VendedorCliente, ";
        $s_SQLQuery .= "VTA_Orden.VendedorOrden AS VendedorOrden, ";
        $s_SQLQuery .= "VTA_Orden.PrecioNivel AS PrecioNivel, ";
        $s_SQLQuery .= "VTA_Orden.FactRegla AS FactRegla, ";
        $s_SQLQuery .= "VTA_Orden.ContactoMedio AS ContactoMedio, ";
        $s_SQLQuery .= "VTA_Orden.ContactoNombre AS ContactoNombre, ";
        $s_SQLQuery .= "VTA_Orden.CondicionVentaId AS CondicionVentaId, ";
        $s_SQLQuery .= "VTA_Orden.FormaPagoDesc AS FormaPagoDesc, ";
        $s_SQLQuery .= "VTA_Orden.ValidezOrden AS ValidezOrden, ";
        $s_SQLQuery .= "VTA_Orden.PlazaEntregaOrden AS PlazaEntregaOrden, ";
        $s_SQLQuery .= "VTA_Orden.CondicionVenta AS CondicionVenta, ";
        $s_SQLQuery .= "VTA_Orden.DiasAlquiler AS DiasAlquiler, ";
        $s_SQLQuery .= "VTA_Orden.OrdenCompraRef AS OrdenCompraRef, ";
        $s_SQLQuery .= "VTA_Orden.ReferenciaTipoDocId AS ReferenciaTipoDocId, ";
        $s_SQLQuery .= "VTA_Orden.DocReferenciaTipo AS DocReferenciaTipo, ";
        $s_SQLQuery .= "VTA_Orden.DocReferenciaNum AS DocReferenciaNum, ";
        $s_SQLQuery .= "VTA_Orden.DocReferenciaId AS DocReferenciaId, ";
        $s_SQLQuery .= "VTA_Orden.DocReferenciaFecha AS DocReferenciaFecha, ";
        $s_SQLQuery .= "VTA_Orden.OrdenCredito AS OrdenCredito, ";
        $s_SQLQuery .= "VTA_Orden.OrdenCreditoEstado AS OrdenCreditoEstado, ";
        $s_SQLQuery .= "VTA_Orden.OrdenImpuestoFlag AS OrdenImpuestoFlag, ";
        $s_SQLQuery .= "VTA_Orden.OrdenExoneradoFlag AS OrdenExoneradoFlag, ";
        $s_SQLQuery .= "VTA_Orden.MonedaCod AS MonedaCod, ";
        $s_SQLQuery .= "VTA_Orden.MonedaCambioValor AS MonedaCambioValor, ";
        $s_SQLQuery .= "VTA_Orden.OrdenVenta AS OrdenVenta, ";
        $s_SQLQuery .= "VTA_Orden.OrdenVentaMN AS OrdenVentaMN, ";
        $s_SQLQuery .= "VTA_Orden.DsctoTipoCod AS DsctoTipoCod, ";
        $s_SQLQuery .= "VTA_Orden.DsctoCod AS DsctoCod, ";
        $s_SQLQuery .= "VTA_Orden.OrdenDscto AS OrdenDscto, ";
        $s_SQLQuery .= "VTA_Orden.OrdenDsctoMN AS OrdenDsctoMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenDsctoLinea AS OrdenDsctoLinea, ";
        $s_SQLQuery .= "VTA_Orden.OrdenDsctoLineaMN AS OrdenDsctoLineaMN, ";
        $s_SQLQuery .= "VTA_Orden.MontoAnticipo AS MontoAnticipo, ";
        $s_SQLQuery .= "VTA_Orden.MontoAnticipoMN AS MontoAnticipoMN, ";
        $s_SQLQuery .= "VTA_Orden.MontoExonerado AS MontoExonerado, ";
        $s_SQLQuery .= "VTA_Orden.MontoExoneradoMN AS MontoExoneradoMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenAfecto AS OrdenAfecto, ";
        $s_SQLQuery .= "VTA_Orden.OrdenAfectoMN AS OrdenAfectoMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenInafecto AS OrdenInafecto, ";
        $s_SQLQuery .= "VTA_Orden.OrdenInafectoMN AS OrdenInafectoMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenImpuesto AS OrdenImpuesto, ";
        $s_SQLQuery .= "VTA_Orden.OrdenImpuestoMN AS OrdenImpuestoMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenNeto AS OrdenNeto, ";
        $s_SQLQuery .= "VTA_Orden.OrdenNetoMN AS OrdenNetoMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenBaseImponible AS OrdenBaseImponible, ";
        $s_SQLQuery .= "VTA_Orden.OrdenBaseImponibleMN AS OrdenBaseImponibleMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenImpuestoConDscto AS OrdenImpuestoConDscto, ";
        $s_SQLQuery .= "VTA_Orden.OrdenImpuestoConDsctoMN AS OrdenImpuestoConDsctoMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenTotalaPagar AS OrdenTotalaPagar, ";
        $s_SQLQuery .= "VTA_Orden.OrdenTotalaPagarMN AS OrdenTotalaPagarMN, ";
        $s_SQLQuery .= "VTA_Orden.OrdenComision AS OrdenComision, ";
        $s_SQLQuery .= "VTA_Orden.OrdenObs AS OrdenObs, ";
        $s_SQLQuery .= "VTA_Orden.AnulacionComentario AS AnulacionComentario, ";
        $s_SQLQuery .= "VTA_Orden.AdminComentario AS AdminComentario, ";
        $s_SQLQuery .= "VTA_Orden.OrdenEstado AS OrdenEstado, ";
        $s_SQLQuery .= "VTA_Orden.EstadoDevolucion AS EstadoDevolucion, ";
        $s_SQLQuery .= "VTA_Orden.OrdenBloqueado AS OrdenBloqueado, ";
        $s_SQLQuery .= "VTA_Orden.UsuarioCreacion AS UsuarioCreacion, ";
        $s_SQLQuery .= "VTA_Orden.FechaCreacion AS FechaCreacion, ";
        $s_SQLQuery .= "VTA_Orden.UsuarioActualizacion AS UsuarioActualizacion, ";
        $s_SQLQuery .= "VTA_Orden.FechaActualizacion AS FechaActualizacion ";
        return $s_SQLQuery;
    }

    /* Establece el condicion de filtro de la lista resultante */
    public function addCondition( $s_Const, $s_Operator, $u_Value, $b_ComSimple = true )
    {
        $this->a_Condition[] = array( "COLUMN" => $s_Const, "OPERATOR" => $s_Operator, "VALUE" => $u_Value, "FLAG_COMILLAS" => $b_ComSimple );
    }

    /* Establece el orden de la lista resultante */
    public function addOrderBy( $s_Const, $b_OrderAsc = true )
    {
        $this->a_OrderBy[] = array( "COLUMN" => $s_Const, "ASC" => $b_OrderAsc );
    }

    /* Establece el orden de la lista resultante */
    public function addGroupBy( $s_Const )
    {
        $this->a_GroupBy[] = array( "COLUMN" => $s_Const );
    }

    /* Establece los valores desde un objeto VTA_OrdenBN */
    public function setByBN( VTA_OrdenBN $o_VTA_OrdenBN )
    {
        if ( !is_null( $o_VTA_OrdenBN->getOrdenId() ) )
        {
            $this->setOrdenId( $o_VTA_OrdenBN->getOrdenId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getCiaCod() ) )
        {
            $this->setCiaCod( $o_VTA_OrdenBN->getCiaCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getIdSucursal() ) )
        {
            $this->setIdSucursal( $o_VTA_OrdenBN->getIdSucursal() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getPtoVtaCod() ) )
        {
            $this->setPtoVtaCod( $o_VTA_OrdenBN->getPtoVtaCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getIdCaja() ) )
        {
            $this->setIdCaja( $o_VTA_OrdenBN->getIdCaja() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getIdTurno() ) )
        {
            $this->setIdTurno( $o_VTA_OrdenBN->getIdTurno() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getIdProyecto() ) )
        {
            $this->setIdProyecto( $o_VTA_OrdenBN->getIdProyecto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTipoId() ) )
        {
            $this->setOrdenTipoId( $o_VTA_OrdenBN->getOrdenTipoId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTipoComercialId() ) )
        {
            $this->setOrdenTipoComercialId( $o_VTA_OrdenBN->getOrdenTipoComercialId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTipoClasificacionId() ) )
        {
            $this->setOrdenTipoClasificacionId( $o_VTA_OrdenBN->getOrdenTipoClasificacionId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenNum() ) )
        {
            $this->setOrdenNum( $o_VTA_OrdenBN->getOrdenNum() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenPadre() ) )
        {
            $this->setOrdenPadre( $o_VTA_OrdenBN->getOrdenPadre() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenFecha() ) )
        {
            $this->setOrdenFecha( $o_VTA_OrdenBN->getOrdenFecha() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenVenc() ) )
        {
            $this->setOrdenVenc( $o_VTA_OrdenBN->getOrdenVenc() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFechaInicioAlq() ) )
        {
            $this->setFechaInicioAlq( $o_VTA_OrdenBN->getFechaInicioAlq() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFechaFinAlq() ) )
        {
            $this->setFechaFinAlq( $o_VTA_OrdenBN->getFechaFinAlq() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getAlmacenCod() ) )
        {
            $this->setAlmacenCod( $o_VTA_OrdenBN->getAlmacenCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getAlmacenDespacho() ) )
        {
            $this->setAlmacenDespacho( $o_VTA_OrdenBN->getAlmacenDespacho() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteId() ) )
        {
            $this->setClienteId( $o_VTA_OrdenBN->getClienteId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteNombre() ) )
        {
            $this->setClienteNombre( $o_VTA_OrdenBN->getClienteNombre() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteDocCod() ) )
        {
            $this->setClienteDocCod( $o_VTA_OrdenBN->getClienteDocCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteDocNum() ) )
        {
            $this->setClienteDocNum( $o_VTA_OrdenBN->getClienteDocNum() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getClienteSucursal() ) )
        {
            $this->setClienteSucursal( $o_VTA_OrdenBN->getClienteSucursal() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactDirec1() ) )
        {
            $this->setFactDirec1( $o_VTA_OrdenBN->getFactDirec1() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactDirec2() ) )
        {
            $this->setFactDirec2( $o_VTA_OrdenBN->getFactDirec2() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactDirec3() ) )
        {
            $this->setFactDirec3( $o_VTA_OrdenBN->getFactDirec3() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactCiudad() ) )
        {
            $this->setFactCiudad( $o_VTA_OrdenBN->getFactCiudad() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactEstado() ) )
        {
            $this->setFactEstado( $o_VTA_OrdenBN->getFactEstado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactPais() ) )
        {
            $this->setFactPais( $o_VTA_OrdenBN->getFactPais() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getVendedorCliente() ) )
        {
            $this->setVendedorCliente( $o_VTA_OrdenBN->getVendedorCliente() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getVendedorOrden() ) )
        {
            $this->setVendedorOrden( $o_VTA_OrdenBN->getVendedorOrden() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getPrecioNivel() ) )
        {
            $this->setPrecioNivel( $o_VTA_OrdenBN->getPrecioNivel() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFactRegla() ) )
        {
            $this->setFactRegla( $o_VTA_OrdenBN->getFactRegla() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getContactoMedio() ) )
        {
            $this->setContactoMedio( $o_VTA_OrdenBN->getContactoMedio() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getContactoNombre() ) )
        {
            $this->setContactoNombre( $o_VTA_OrdenBN->getContactoNombre() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getCondicionVentaId() ) )
        {
            $this->setCondicionVentaId( $o_VTA_OrdenBN->getCondicionVentaId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFormaPagoDesc() ) )
        {
            $this->setFormaPagoDesc( $o_VTA_OrdenBN->getFormaPagoDesc() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getValidezOrden() ) )
        {
            $this->setValidezOrden( $o_VTA_OrdenBN->getValidezOrden() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getPlazaEntregaOrden() ) )
        {
            $this->setPlazaEntregaOrden( $o_VTA_OrdenBN->getPlazaEntregaOrden() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getCondicionVenta() ) )
        {
            $this->setCondicionVenta( $o_VTA_OrdenBN->getCondicionVenta() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDiasAlquiler() ) )
        {
            $this->setDiasAlquiler( $o_VTA_OrdenBN->getDiasAlquiler() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenCompraRef() ) )
        {
            $this->setOrdenCompraRef( $o_VTA_OrdenBN->getOrdenCompraRef() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getReferenciaTipoDocId() ) )
        {
            $this->setReferenciaTipoDocId( $o_VTA_OrdenBN->getReferenciaTipoDocId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDocReferenciaTipo() ) )
        {
            $this->setDocReferenciaTipo( $o_VTA_OrdenBN->getDocReferenciaTipo() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDocReferenciaNum() ) )
        {
            $this->setDocReferenciaNum( $o_VTA_OrdenBN->getDocReferenciaNum() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDocReferenciaId() ) )
        {
            $this->setDocReferenciaId( $o_VTA_OrdenBN->getDocReferenciaId() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDocReferenciaFecha() ) )
        {
            $this->setDocReferenciaFecha( $o_VTA_OrdenBN->getDocReferenciaFecha() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenCredito() ) )
        {
            $this->setOrdenCredito( $o_VTA_OrdenBN->getOrdenCredito() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenCreditoEstado() ) )
        {
            $this->setOrdenCreditoEstado( $o_VTA_OrdenBN->getOrdenCreditoEstado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuestoFlag() ) )
        {
            $this->setOrdenImpuestoFlag( $o_VTA_OrdenBN->getOrdenImpuestoFlag() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenExoneradoFlag() ) )
        {
            $this->setOrdenExoneradoFlag( $o_VTA_OrdenBN->getOrdenExoneradoFlag() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMonedaCod() ) )
        {
            $this->setMonedaCod( $o_VTA_OrdenBN->getMonedaCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMonedaCambioValor() ) )
        {
            $this->setMonedaCambioValor( $o_VTA_OrdenBN->getMonedaCambioValor() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenVenta() ) )
        {
            $this->setOrdenVenta( $o_VTA_OrdenBN->getOrdenVenta() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenVentaMN() ) )
        {
            $this->setOrdenVentaMN( $o_VTA_OrdenBN->getOrdenVentaMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDsctoTipoCod() ) )
        {
            $this->setDsctoTipoCod( $o_VTA_OrdenBN->getDsctoTipoCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getDsctoCod() ) )
        {
            $this->setDsctoCod( $o_VTA_OrdenBN->getDsctoCod() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenDscto() ) )
        {
            $this->setOrdenDscto( $o_VTA_OrdenBN->getOrdenDscto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenDsctoMN() ) )
        {
            $this->setOrdenDsctoMN( $o_VTA_OrdenBN->getOrdenDsctoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenDsctoLinea() ) )
        {
            $this->setOrdenDsctoLinea( $o_VTA_OrdenBN->getOrdenDsctoLinea() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenDsctoLineaMN() ) )
        {
            $this->setOrdenDsctoLineaMN( $o_VTA_OrdenBN->getOrdenDsctoLineaMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMontoAnticipo() ) )
        {
            $this->setMontoAnticipo( $o_VTA_OrdenBN->getMontoAnticipo() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMontoAnticipoMN() ) )
        {
            $this->setMontoAnticipoMN( $o_VTA_OrdenBN->getMontoAnticipoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMontoExonerado() ) )
        {
            $this->setMontoExonerado( $o_VTA_OrdenBN->getMontoExonerado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getMontoExoneradoMN() ) )
        {
            $this->setMontoExoneradoMN( $o_VTA_OrdenBN->getMontoExoneradoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenAfecto() ) )
        {
            $this->setOrdenAfecto( $o_VTA_OrdenBN->getOrdenAfecto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenAfectoMN() ) )
        {
            $this->setOrdenAfectoMN( $o_VTA_OrdenBN->getOrdenAfectoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenInafecto() ) )
        {
            $this->setOrdenInafecto( $o_VTA_OrdenBN->getOrdenInafecto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenInafectoMN() ) )
        {
            $this->setOrdenInafectoMN( $o_VTA_OrdenBN->getOrdenInafectoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuesto() ) )
        {
            $this->setOrdenImpuesto( $o_VTA_OrdenBN->getOrdenImpuesto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuestoMN() ) )
        {
            $this->setOrdenImpuestoMN( $o_VTA_OrdenBN->getOrdenImpuestoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenNeto() ) )
        {
            $this->setOrdenNeto( $o_VTA_OrdenBN->getOrdenNeto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenNetoMN() ) )
        {
            $this->setOrdenNetoMN( $o_VTA_OrdenBN->getOrdenNetoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenBaseImponible() ) )
        {
            $this->setOrdenBaseImponible( $o_VTA_OrdenBN->getOrdenBaseImponible() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenBaseImponibleMN() ) )
        {
            $this->setOrdenBaseImponibleMN( $o_VTA_OrdenBN->getOrdenBaseImponibleMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuestoConDscto() ) )
        {
            $this->setOrdenImpuestoConDscto( $o_VTA_OrdenBN->getOrdenImpuestoConDscto() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenImpuestoConDsctoMN() ) )
        {
            $this->setOrdenImpuestoConDsctoMN( $o_VTA_OrdenBN->getOrdenImpuestoConDsctoMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTotalaPagar() ) )
        {
            $this->setOrdenTotalaPagar( $o_VTA_OrdenBN->getOrdenTotalaPagar() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenTotalaPagarMN() ) )
        {
            $this->setOrdenTotalaPagarMN( $o_VTA_OrdenBN->getOrdenTotalaPagarMN() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenComision() ) )
        {
            $this->setOrdenComision( $o_VTA_OrdenBN->getOrdenComision() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenObs() ) )
        {
            $this->setOrdenObs( $o_VTA_OrdenBN->getOrdenObs() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getAnulacionComentario() ) )
        {
            $this->setAnulacionComentario( $o_VTA_OrdenBN->getAnulacionComentario() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getAdminComentario() ) )
        {
            $this->setAdminComentario( $o_VTA_OrdenBN->getAdminComentario() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenEstado() ) )
        {
            $this->setOrdenEstado( $o_VTA_OrdenBN->getOrdenEstado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getEstadoDevolucion() ) )
        {
            $this->setEstadoDevolucion( $o_VTA_OrdenBN->getEstadoDevolucion() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getOrdenBloqueado() ) )
        {
            $this->setOrdenBloqueado( $o_VTA_OrdenBN->getOrdenBloqueado() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_VTA_OrdenBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_VTA_OrdenBN->getFechaCreacion() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getUsuarioActualizacion() ) )
        {
            $this->setUsuarioActualizacion( $o_VTA_OrdenBN->getUsuarioActualizacion() );
        }
        if ( !is_null( $o_VTA_OrdenBN->getFechaActualizacion() ) )
        {
            $this->setFechaActualizacion( $o_VTA_OrdenBN->getFechaActualizacion() );
        }
    }

    /**
    * @return VTA_OrdenBN|null
    * @throws SQLException
    */
    public function selectByPK( $i_OrdenId )
    {
        if( is_null( $i_OrdenId ) ){ $i_OrdenId = -1; } 
 
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM VTA_Orden ";
        $s_SQLQuery .= "WHERE OrdenId = ".$i_OrdenId." ";
        $s_SQLQuery .= "LIMIT 1;";
        $o_VTA_OrdenBN = null;
        $f_Micro1 = microtime( true );
        $o_ResultSet = $this->getConnect()->prepareStatement( $s_SQLQuery )->executeQuery();
        $f_Micro2 = microtime( true );
        if( $this->getDebug() ){ pr( "[".( round( $f_Micro2 - $f_Micro1, 2 ) )."] ".$s_SQLQuery ); }
        $i_NumRows   = $o_ResultSet->getRecordCount();
        if( $i_NumRows > 0 )
        {
            $o_ResultSet->next();
            $a_SQLRow = $o_ResultSet->getRow(); //devuele array
            $o_VTA_OrdenBN = $this->insertObjectBN( $a_SQLRow );
        }
        return $o_VTA_OrdenBN;
    }

    public function buildConsult()
    {
        $s_SQLQuery = "";
        if ( !is_null( $this->getOrdenId() ) ) $s_SQLQuery .= "VTA_Orden.OrdenId = ".$this->getOrdenId()." AND ";
        if ( !is_null( $this->getCiaCod() ) ) $s_SQLQuery .= "VTA_Orden.CiaCod = ".$this->getCiaCod()." AND ";
        if ( !is_null( $this->getIdSucursal() ) ) $s_SQLQuery .= "VTA_Orden.IdSucursal = ".$this->getIdSucursal()." AND ";
        if ( !is_null( $this->getPtoVtaCod() ) ) $s_SQLQuery .= "VTA_Orden.PtoVtaCod = '".$this->getPtoVtaCod()."' AND ";
        if ( !is_null( $this->getIdCaja() ) ) $s_SQLQuery .= "VTA_Orden.IdCaja = ".$this->getIdCaja()." AND ";
        if ( !is_null( $this->getIdTurno() ) ) $s_SQLQuery .= "VTA_Orden.IdTurno = ".$this->getIdTurno()." AND ";
        if ( !is_null( $this->getIdProyecto() ) ) $s_SQLQuery .= "VTA_Orden.IdProyecto = ".$this->getIdProyecto()." AND ";
        if ( !is_null( $this->getOrdenTipoId() ) ) $s_SQLQuery .= "VTA_Orden.OrdenTipoId = ".$this->getOrdenTipoId()." AND ";
        if ( !is_null( $this->getOrdenTipoComercialId() ) ) $s_SQLQuery .= "VTA_Orden.OrdenTipoComercialId = ".$this->getOrdenTipoComercialId()." AND ";
        if ( !is_null( $this->getOrdenTipoClasificacionId() ) ) $s_SQLQuery .= "VTA_Orden.OrdenTipoClasificacionId = ".$this->getOrdenTipoClasificacionId()." AND ";
        if ( !is_null( $this->getOrdenNum() ) ) $s_SQLQuery .= "VTA_Orden.OrdenNum = '".$this->getOrdenNum()."' AND ";
        if ( !is_null( $this->getOrdenPadre() ) ) $s_SQLQuery .= "VTA_Orden.OrdenPadre = ".$this->getOrdenPadre()." AND ";
        if ( !is_null( $this->getOrdenFecha() ) ) $s_SQLQuery .= "VTA_Orden.OrdenFecha = '".$this->getOrdenFecha()."' AND ";
        if ( !is_null( $this->getOrdenVenc() ) ) $s_SQLQuery .= "VTA_Orden.OrdenVenc = '".$this->getOrdenVenc()."' AND ";
        if ( !is_null( $this->getFechaInicioAlq() ) ) $s_SQLQuery .= "VTA_Orden.FechaInicioAlq = '".$this->getFechaInicioAlq()."' AND ";
        if ( !is_null( $this->getFechaFinAlq() ) ) $s_SQLQuery .= "VTA_Orden.FechaFinAlq = '".$this->getFechaFinAlq()."' AND ";
        if ( !is_null( $this->getAlmacenCod() ) ) $s_SQLQuery .= "VTA_Orden.AlmacenCod = '".$this->getAlmacenCod()."' AND ";
        if ( !is_null( $this->getAlmacenDespacho() ) ) $s_SQLQuery .= "VTA_Orden.AlmacenDespacho = '".$this->getAlmacenDespacho()."' AND ";
        if ( !is_null( $this->getClienteId() ) ) $s_SQLQuery .= "VTA_Orden.ClienteId = ".$this->getClienteId()." AND ";
        if ( !is_null( $this->getClienteNombre() ) ) $s_SQLQuery .= "VTA_Orden.ClienteNombre = '".$this->getClienteNombre()."' AND ";
        if ( !is_null( $this->getClienteDocCod() ) ) $s_SQLQuery .= "VTA_Orden.ClienteDocCod = '".$this->getClienteDocCod()."' AND ";
        if ( !is_null( $this->getClienteDocNum() ) ) $s_SQLQuery .= "VTA_Orden.ClienteDocNum = '".$this->getClienteDocNum()."' AND ";
        if ( !is_null( $this->getClienteSucursal() ) ) $s_SQLQuery .= "VTA_Orden.ClienteSucursal = '".$this->getClienteSucursal()."' AND ";
        if ( !is_null( $this->getFactDirec1() ) ) $s_SQLQuery .= "VTA_Orden.FactDirec1 = '".$this->getFactDirec1()."' AND ";
        if ( !is_null( $this->getFactDirec2() ) ) $s_SQLQuery .= "VTA_Orden.FactDirec2 = '".$this->getFactDirec2()."' AND ";
        if ( !is_null( $this->getFactDirec3() ) ) $s_SQLQuery .= "VTA_Orden.FactDirec3 = '".$this->getFactDirec3()."' AND ";
        if ( !is_null( $this->getFactCiudad() ) ) $s_SQLQuery .= "VTA_Orden.FactCiudad = '".$this->getFactCiudad()."' AND ";
        if ( !is_null( $this->getFactEstado() ) ) $s_SQLQuery .= "VTA_Orden.FactEstado = '".$this->getFactEstado()."' AND ";
        if ( !is_null( $this->getFactPais() ) ) $s_SQLQuery .= "VTA_Orden.FactPais = '".$this->getFactPais()."' AND ";
        if ( !is_null( $this->getVendedorCliente() ) ) $s_SQLQuery .= "VTA_Orden.VendedorCliente = '".$this->getVendedorCliente()."' AND ";
        if ( !is_null( $this->getVendedorOrden() ) ) $s_SQLQuery .= "VTA_Orden.VendedorOrden = '".$this->getVendedorOrden()."' AND ";
        if ( !is_null( $this->getPrecioNivel() ) ) $s_SQLQuery .= "VTA_Orden.PrecioNivel = '".$this->getPrecioNivel()."' AND ";
        if ( !is_null( $this->getFactRegla() ) ) $s_SQLQuery .= "VTA_Orden.FactRegla = '".$this->getFactRegla()."' AND ";
        if ( !is_null( $this->getContactoMedio() ) ) $s_SQLQuery .= "VTA_Orden.ContactoMedio = '".$this->getContactoMedio()."' AND ";
        if ( !is_null( $this->getContactoNombre() ) ) $s_SQLQuery .= "VTA_Orden.ContactoNombre = '".$this->getContactoNombre()."' AND ";
        if ( !is_null( $this->getCondicionVentaId() ) ) $s_SQLQuery .= "VTA_Orden.CondicionVentaId = '".$this->getCondicionVentaId()."' AND ";
        if ( !is_null( $this->getFormaPagoDesc() ) ) $s_SQLQuery .= "VTA_Orden.FormaPagoDesc = '".$this->getFormaPagoDesc()."' AND ";
        if ( !is_null( $this->getValidezOrden() ) ) $s_SQLQuery .= "VTA_Orden.ValidezOrden = '".$this->getValidezOrden()."' AND ";
        if ( !is_null( $this->getPlazaEntregaOrden() ) ) $s_SQLQuery .= "VTA_Orden.PlazaEntregaOrden = '".$this->getPlazaEntregaOrden()."' AND ";
        if ( !is_null( $this->getCondicionVenta() ) ) $s_SQLQuery .= "VTA_Orden.CondicionVenta = '".$this->getCondicionVenta()."' AND ";
        if ( !is_null( $this->getDiasAlquiler() ) ) $s_SQLQuery .= "VTA_Orden.DiasAlquiler = ".$this->getDiasAlquiler()." AND ";
        if ( !is_null( $this->getOrdenCompraRef() ) ) $s_SQLQuery .= "VTA_Orden.OrdenCompraRef = '".$this->getOrdenCompraRef()."' AND ";
        if ( !is_null( $this->getReferenciaTipoDocId() ) ) $s_SQLQuery .= "VTA_Orden.ReferenciaTipoDocId = '".$this->getReferenciaTipoDocId()."' AND ";
        if ( !is_null( $this->getDocReferenciaTipo() ) ) $s_SQLQuery .= "VTA_Orden.DocReferenciaTipo = '".$this->getDocReferenciaTipo()."' AND ";
        if ( !is_null( $this->getDocReferenciaNum() ) ) $s_SQLQuery .= "VTA_Orden.DocReferenciaNum = '".$this->getDocReferenciaNum()."' AND ";
        if ( !is_null( $this->getDocReferenciaId() ) ) $s_SQLQuery .= "VTA_Orden.DocReferenciaId = '".$this->getDocReferenciaId()."' AND ";
        if ( !is_null( $this->getDocReferenciaFecha() ) ) $s_SQLQuery .= "VTA_Orden.DocReferenciaFecha = '".$this->getDocReferenciaFecha()."' AND ";
        if ( !is_null( $this->getOrdenCredito() ) ) $s_SQLQuery .= "VTA_Orden.OrdenCredito = '".$this->getOrdenCredito()."' AND ";
        if ( !is_null( $this->getOrdenCreditoEstado() ) ) $s_SQLQuery .= "VTA_Orden.OrdenCreditoEstado = '".$this->getOrdenCreditoEstado()."' AND ";
        if ( !is_null( $this->getOrdenImpuestoFlag() ) ) $s_SQLQuery .= "VTA_Orden.OrdenImpuestoFlag = '".$this->getOrdenImpuestoFlag()."' AND ";
        if ( !is_null( $this->getOrdenExoneradoFlag() ) ) $s_SQLQuery .= "VTA_Orden.OrdenExoneradoFlag = '".$this->getOrdenExoneradoFlag()."' AND ";
        if ( !is_null( $this->getMonedaCod() ) ) $s_SQLQuery .= "VTA_Orden.MonedaCod = '".$this->getMonedaCod()."' AND ";
        if ( !is_null( $this->getMonedaCambioValor() ) ) $s_SQLQuery .= "VTA_Orden.MonedaCambioValor = ".$this->getMonedaCambioValor()." AND ";
        if ( !is_null( $this->getOrdenVenta() ) ) $s_SQLQuery .= "VTA_Orden.OrdenVenta = ".$this->getOrdenVenta()." AND ";
        if ( !is_null( $this->getOrdenVentaMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenVentaMN = ".$this->getOrdenVentaMN()." AND ";
        if ( !is_null( $this->getDsctoTipoCod() ) ) $s_SQLQuery .= "VTA_Orden.DsctoTipoCod = '".$this->getDsctoTipoCod()."' AND ";
        if ( !is_null( $this->getDsctoCod() ) ) $s_SQLQuery .= "VTA_Orden.DsctoCod = '".$this->getDsctoCod()."' AND ";
        if ( !is_null( $this->getOrdenDscto() ) ) $s_SQLQuery .= "VTA_Orden.OrdenDscto = ".$this->getOrdenDscto()." AND ";
        if ( !is_null( $this->getOrdenDsctoMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenDsctoMN = ".$this->getOrdenDsctoMN()." AND ";
        if ( !is_null( $this->getOrdenDsctoLinea() ) ) $s_SQLQuery .= "VTA_Orden.OrdenDsctoLinea = ".$this->getOrdenDsctoLinea()." AND ";
        if ( !is_null( $this->getOrdenDsctoLineaMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenDsctoLineaMN = ".$this->getOrdenDsctoLineaMN()." AND ";
        if ( !is_null( $this->getMontoAnticipo() ) ) $s_SQLQuery .= "VTA_Orden.MontoAnticipo = ".$this->getMontoAnticipo()." AND ";
        if ( !is_null( $this->getMontoAnticipoMN() ) ) $s_SQLQuery .= "VTA_Orden.MontoAnticipoMN = ".$this->getMontoAnticipoMN()." AND ";
        if ( !is_null( $this->getMontoExonerado() ) ) $s_SQLQuery .= "VTA_Orden.MontoExonerado = ".$this->getMontoExonerado()." AND ";
        if ( !is_null( $this->getMontoExoneradoMN() ) ) $s_SQLQuery .= "VTA_Orden.MontoExoneradoMN = ".$this->getMontoExoneradoMN()." AND ";
        if ( !is_null( $this->getOrdenAfecto() ) ) $s_SQLQuery .= "VTA_Orden.OrdenAfecto = ".$this->getOrdenAfecto()." AND ";
        if ( !is_null( $this->getOrdenAfectoMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenAfectoMN = ".$this->getOrdenAfectoMN()." AND ";
        if ( !is_null( $this->getOrdenInafecto() ) ) $s_SQLQuery .= "VTA_Orden.OrdenInafecto = ".$this->getOrdenInafecto()." AND ";
        if ( !is_null( $this->getOrdenInafectoMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenInafectoMN = ".$this->getOrdenInafectoMN()." AND ";
        if ( !is_null( $this->getOrdenImpuesto() ) ) $s_SQLQuery .= "VTA_Orden.OrdenImpuesto = ".$this->getOrdenImpuesto()." AND ";
        if ( !is_null( $this->getOrdenImpuestoMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenImpuestoMN = ".$this->getOrdenImpuestoMN()." AND ";
        if ( !is_null( $this->getOrdenNeto() ) ) $s_SQLQuery .= "VTA_Orden.OrdenNeto = ".$this->getOrdenNeto()." AND ";
        if ( !is_null( $this->getOrdenNetoMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenNetoMN = ".$this->getOrdenNetoMN()." AND ";
        if ( !is_null( $this->getOrdenBaseImponible() ) ) $s_SQLQuery .= "VTA_Orden.OrdenBaseImponible = ".$this->getOrdenBaseImponible()." AND ";
        if ( !is_null( $this->getOrdenBaseImponibleMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenBaseImponibleMN = ".$this->getOrdenBaseImponibleMN()." AND ";
        if ( !is_null( $this->getOrdenImpuestoConDscto() ) ) $s_SQLQuery .= "VTA_Orden.OrdenImpuestoConDscto = ".$this->getOrdenImpuestoConDscto()." AND ";
        if ( !is_null( $this->getOrdenImpuestoConDsctoMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenImpuestoConDsctoMN = ".$this->getOrdenImpuestoConDsctoMN()." AND ";
        if ( !is_null( $this->getOrdenTotalaPagar() ) ) $s_SQLQuery .= "VTA_Orden.OrdenTotalaPagar = ".$this->getOrdenTotalaPagar()." AND ";
        if ( !is_null( $this->getOrdenTotalaPagarMN() ) ) $s_SQLQuery .= "VTA_Orden.OrdenTotalaPagarMN = ".$this->getOrdenTotalaPagarMN()." AND ";
        if ( !is_null( $this->getOrdenComision() ) ) $s_SQLQuery .= "VTA_Orden.OrdenComision = ".$this->getOrdenComision()." AND ";
        if ( !is_null( $this->getOrdenObs() ) ) $s_SQLQuery .= "VTA_Orden.OrdenObs = '".$this->getOrdenObs()."' AND ";
        if ( !is_null( $this->getAnulacionComentario() ) ) $s_SQLQuery .= "VTA_Orden.AnulacionComentario = '".$this->getAnulacionComentario()."' AND ";
        if ( !is_null( $this->getAdminComentario() ) ) $s_SQLQuery .= "VTA_Orden.AdminComentario = '".$this->getAdminComentario()."' AND ";
        if ( !is_null( $this->getOrdenEstado() ) ) $s_SQLQuery .= "VTA_Orden.OrdenEstado = '".$this->getOrdenEstado()."' AND ";
        if ( !is_null( $this->getEstadoDevolucion() ) ) $s_SQLQuery .= "VTA_Orden.EstadoDevolucion = '".$this->getEstadoDevolucion()."' AND ";
        if ( !is_null( $this->getOrdenBloqueado() ) ) $s_SQLQuery .= "VTA_Orden.OrdenBloqueado = '".$this->getOrdenBloqueado()."' AND ";
        if ( !is_null( $this->getUsuarioCreacion() ) ) $s_SQLQuery .= "VTA_Orden.UsuarioCreacion = '".$this->getUsuarioCreacion()."' AND ";
        if ( !is_null( $this->getFechaCreacion() ) ) $s_SQLQuery .= "VTA_Orden.FechaCreacion = '".$this->getFechaCreacion()."' AND ";
        if ( !is_null( $this->getUsuarioActualizacion() ) ) $s_SQLQuery .= "VTA_Orden.UsuarioActualizacion = '".$this->getUsuarioActualizacion()."' AND ";
        if ( !is_null( $this->getFechaActualizacion() ) ) $s_SQLQuery .= "VTA_Orden.FechaActualizacion = '".$this->getFechaActualizacion()."' AND ";
        if ( count( $this->a_Condition ) > 0 )
        {
            foreach ( $this->a_Condition as $a_Condition )
            {
                if( $a_Condition['FLAG_COMILLAS'] )
                {
                    $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." '".$a_Condition[ "VALUE" ]."' AND ";
                }
                else
                {
                    $s_SQLQuery .= $a_Condition[ "COLUMN" ]." ".$a_Condition[ "OPERATOR" ]." ".$a_Condition[ "VALUE" ]." AND ";
                }
            }
        }
        $s_SQLQuery .= "1 = 1 ";
        return $s_SQLQuery;
    }

    public function selectNumRows()
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= "COUNT(*) AS cnt ";
        $s_SQLQuery .= "FROM VTA_Orden WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        
        if ( count( $this->a_GroupBy ) > 0 )
        {
            $s_SQLQuery .= "GROUP BY ";
            $s_Separator = "";
            foreach ( $this->a_GroupBy as $a_GroupBy )
            {
                $s_SQLQuery .= $s_Separator.$a_GroupBy[ "COLUMN" ]." ";
                $s_Separator = ", ";
            }
        }
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = $this->getConnect();
        $o_Statement = $o_Resource->prepareStatement( $s_SQLQuery );
        $o_ResultSet = $o_Statement->executeQuery();
        $o_ResultSet->next();
        $i_NumRows    = $o_ResultSet->getInt( 'cnt' );
        return $i_NumRows;
    }

    /**
    * @param null $i_Position
    * @param null $i_Rows
    * @return VTA_OrdenBN[]
    * @throws SQLException
    */
    public function select( $i_Position = null, $i_Rows = null )
    {
        $s_SQLQuery = "SELECT ";
        $s_SQLQuery .= $this->getSelectColumns();
        $s_SQLQuery .= "FROM VTA_Orden WHERE ";
        $s_SQLQuery .= $this->buildConsult();
        if ( count( $this->a_GroupBy ) > 0 )
        {
            $s_SQLQuery .= "GROUP BY ";
            $s_Separator = "";
            foreach ( $this->a_GroupBy as $a_GroupBy )
            {
                $s_SQLQuery .= $s_Separator.$a_GroupBy[ "COLUMN" ]." ";
                $s_Separator = ", ";
            }
        }
        if ( count( $this->a_OrderBy ) > 0 )
        {
            $s_SQLQuery = $s_SQLQuery."ORDER BY ";
            $s_Separator = "";
            foreach ( $this->a_OrderBy as $a_OrderBy )
            {
                $s_SQLQuery .= $s_Separator.$a_OrderBy[ "COLUMN" ]." ";
                if ( $a_OrderBy[ "ASC" ] === false ) $s_SQLQuery .= "DESC ";
                $s_Separator = ", ";
            }
        }
        if( !is_null( $i_Position ) && is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position;
        if( !is_null( $i_Position ) && !is_null( $i_Rows ) ) $s_SQLQuery .= "LIMIT ".$i_Position.", ".$i_Rows;
        $s_SQLQuery .= ";";

        $a_VTA_OrdenBN = array();
        $f_Micro1 = microtime( true );
        $o_ResultSet = $this->getConnect()->prepareStatement( $s_SQLQuery )->executeQuery();
        $f_Micro2 = microtime( true );
        if( $this->getDebug() ){ pr( "[".( round( $f_Micro2 - $f_Micro1, 2 ) )."] ".$s_SQLQuery ); }
        $i_NumRows = $o_ResultSet->getRecordCount();
        if( $i_NumRows > 0 )
        {
            while( $o_ResultSet->next() ) 
            {
                $a_SQLRow = $o_ResultSet->getRow(); //devuele array
                $o_VTA_OrdenBN = $this->insertObjectBN( $a_SQLRow );
                $a_VTA_OrdenBN[] = $o_VTA_OrdenBN;
            }
        }
        return $a_VTA_OrdenBN;
    }

    /* Devuelve un objeto VTA_OrdenBN desde un objeto propel */
    public function insertObjectBN( $a_VTA_Orden )
    {
        $o_VTA_OrdenBN = new VTA_OrdenBN();
        if ( !is_null( $a_VTA_Orden['OrdenId'] ) ) $o_VTA_OrdenBN->setOrdenId( ( integer ) $a_VTA_Orden['OrdenId'] );
        if ( !is_null( $a_VTA_Orden['CiaCod'] ) ) $o_VTA_OrdenBN->setCiaCod( ( integer ) $a_VTA_Orden['CiaCod'] );
        if ( !is_null( $a_VTA_Orden['IdSucursal'] ) ) $o_VTA_OrdenBN->setIdSucursal( ( integer ) $a_VTA_Orden['IdSucursal'] );
        if ( !is_null( $a_VTA_Orden['PtoVtaCod'] ) ) $o_VTA_OrdenBN->setPtoVtaCod( $a_VTA_Orden['PtoVtaCod'] );
        if ( !is_null( $a_VTA_Orden['IdCaja'] ) ) $o_VTA_OrdenBN->setIdCaja( ( integer ) $a_VTA_Orden['IdCaja'] );
        if ( !is_null( $a_VTA_Orden['IdTurno'] ) ) $o_VTA_OrdenBN->setIdTurno( ( integer ) $a_VTA_Orden['IdTurno'] );
        if ( !is_null( $a_VTA_Orden['IdProyecto'] ) ) $o_VTA_OrdenBN->setIdProyecto( ( integer ) $a_VTA_Orden['IdProyecto'] );
        if ( !is_null( $a_VTA_Orden['OrdenTipoId'] ) ) $o_VTA_OrdenBN->setOrdenTipoId( ( integer ) $a_VTA_Orden['OrdenTipoId'] );
        if ( !is_null( $a_VTA_Orden['OrdenTipoComercialId'] ) ) $o_VTA_OrdenBN->setOrdenTipoComercialId( ( integer ) $a_VTA_Orden['OrdenTipoComercialId'] );
        if ( !is_null( $a_VTA_Orden['OrdenTipoClasificacionId'] ) ) $o_VTA_OrdenBN->setOrdenTipoClasificacionId( ( integer ) $a_VTA_Orden['OrdenTipoClasificacionId'] );
        if ( !is_null( $a_VTA_Orden['OrdenNum'] ) ) $o_VTA_OrdenBN->setOrdenNum( $a_VTA_Orden['OrdenNum'] );
        if ( !is_null( $a_VTA_Orden['OrdenPadre'] ) ) $o_VTA_OrdenBN->setOrdenPadre( ( integer ) $a_VTA_Orden['OrdenPadre'] );
        if ( !is_null( $a_VTA_Orden['OrdenFecha'] ) ) $o_VTA_OrdenBN->setOrdenFecha( utilTimestamp::getTimestamp( $a_VTA_Orden['OrdenFecha'], "Y-m-d H:i:s" ) );
        if ( !is_null( $a_VTA_Orden['OrdenVenc'] ) ) $o_VTA_OrdenBN->setOrdenVenc( utilTimestamp::getTimestamp( $a_VTA_Orden['OrdenVenc'], "Y-m-d H:i:s" ) );
        if ( !is_null( $a_VTA_Orden['FechaInicioAlq'] ) ) $o_VTA_OrdenBN->setFechaInicioAlq( utilTimestamp::getTimestamp( $a_VTA_Orden['FechaInicioAlq'], "Y-m-d" ) );
        if ( !is_null( $a_VTA_Orden['FechaFinAlq'] ) ) $o_VTA_OrdenBN->setFechaFinAlq( utilTimestamp::getTimestamp( $a_VTA_Orden['FechaFinAlq'], "Y-m-d" ) );
        if ( !is_null( $a_VTA_Orden['AlmacenCod'] ) ) $o_VTA_OrdenBN->setAlmacenCod( $a_VTA_Orden['AlmacenCod'] );
        if ( !is_null( $a_VTA_Orden['AlmacenDespacho'] ) ) $o_VTA_OrdenBN->setAlmacenDespacho( $a_VTA_Orden['AlmacenDespacho'] );
        if ( !is_null( $a_VTA_Orden['ClienteId'] ) ) $o_VTA_OrdenBN->setClienteId( ( integer ) $a_VTA_Orden['ClienteId'] );
        if ( !is_null( $a_VTA_Orden['ClienteNombre'] ) ) $o_VTA_OrdenBN->setClienteNombre( $a_VTA_Orden['ClienteNombre'] );
        if ( !is_null( $a_VTA_Orden['ClienteDocCod'] ) ) $o_VTA_OrdenBN->setClienteDocCod( $a_VTA_Orden['ClienteDocCod'] );
        if ( !is_null( $a_VTA_Orden['ClienteDocNum'] ) ) $o_VTA_OrdenBN->setClienteDocNum( $a_VTA_Orden['ClienteDocNum'] );
        if ( !is_null( $a_VTA_Orden['ClienteSucursal'] ) ) $o_VTA_OrdenBN->setClienteSucursal( $a_VTA_Orden['ClienteSucursal'] );
        if ( !is_null( $a_VTA_Orden['FactDirec1'] ) ) $o_VTA_OrdenBN->setFactDirec1( $a_VTA_Orden['FactDirec1'] );
        if ( !is_null( $a_VTA_Orden['FactDirec2'] ) ) $o_VTA_OrdenBN->setFactDirec2( $a_VTA_Orden['FactDirec2'] );
        if ( !is_null( $a_VTA_Orden['FactDirec3'] ) ) $o_VTA_OrdenBN->setFactDirec3( $a_VTA_Orden['FactDirec3'] );
        if ( !is_null( $a_VTA_Orden['FactCiudad'] ) ) $o_VTA_OrdenBN->setFactCiudad( $a_VTA_Orden['FactCiudad'] );
        if ( !is_null( $a_VTA_Orden['FactEstado'] ) ) $o_VTA_OrdenBN->setFactEstado( $a_VTA_Orden['FactEstado'] );
        if ( !is_null( $a_VTA_Orden['FactPais'] ) ) $o_VTA_OrdenBN->setFactPais( $a_VTA_Orden['FactPais'] );
        if ( !is_null( $a_VTA_Orden['VendedorCliente'] ) ) $o_VTA_OrdenBN->setVendedorCliente( $a_VTA_Orden['VendedorCliente'] );
        if ( !is_null( $a_VTA_Orden['VendedorOrden'] ) ) $o_VTA_OrdenBN->setVendedorOrden( $a_VTA_Orden['VendedorOrden'] );
        if ( !is_null( $a_VTA_Orden['PrecioNivel'] ) ) $o_VTA_OrdenBN->setPrecioNivel( $a_VTA_Orden['PrecioNivel'] );
        if ( !is_null( $a_VTA_Orden['FactRegla'] ) ) $o_VTA_OrdenBN->setFactRegla( $a_VTA_Orden['FactRegla'] );
        if ( !is_null( $a_VTA_Orden['ContactoMedio'] ) ) $o_VTA_OrdenBN->setContactoMedio( $a_VTA_Orden['ContactoMedio'] );
        if ( !is_null( $a_VTA_Orden['ContactoNombre'] ) ) $o_VTA_OrdenBN->setContactoNombre( $a_VTA_Orden['ContactoNombre'] );
        if ( !is_null( $a_VTA_Orden['CondicionVentaId'] ) ) $o_VTA_OrdenBN->setCondicionVentaId( $a_VTA_Orden['CondicionVentaId'] );
        if ( !is_null( $a_VTA_Orden['FormaPagoDesc'] ) ) $o_VTA_OrdenBN->setFormaPagoDesc( $a_VTA_Orden['FormaPagoDesc'] );
        if ( !is_null( $a_VTA_Orden['ValidezOrden'] ) ) $o_VTA_OrdenBN->setValidezOrden( $a_VTA_Orden['ValidezOrden'] );
        if ( !is_null( $a_VTA_Orden['PlazaEntregaOrden'] ) ) $o_VTA_OrdenBN->setPlazaEntregaOrden( $a_VTA_Orden['PlazaEntregaOrden'] );
        if ( !is_null( $a_VTA_Orden['CondicionVenta'] ) ) $o_VTA_OrdenBN->setCondicionVenta( $a_VTA_Orden['CondicionVenta'] );
        if ( !is_null( $a_VTA_Orden['DiasAlquiler'] ) ) $o_VTA_OrdenBN->setDiasAlquiler( ( integer ) $a_VTA_Orden['DiasAlquiler'] );
        if ( !is_null( $a_VTA_Orden['OrdenCompraRef'] ) ) $o_VTA_OrdenBN->setOrdenCompraRef( $a_VTA_Orden['OrdenCompraRef'] );
        if ( !is_null( $a_VTA_Orden['ReferenciaTipoDocId'] ) ) $o_VTA_OrdenBN->setReferenciaTipoDocId( $a_VTA_Orden['ReferenciaTipoDocId'] );
        if ( !is_null( $a_VTA_Orden['DocReferenciaTipo'] ) ) $o_VTA_OrdenBN->setDocReferenciaTipo( $a_VTA_Orden['DocReferenciaTipo'] );
        if ( !is_null( $a_VTA_Orden['DocReferenciaNum'] ) ) $o_VTA_OrdenBN->setDocReferenciaNum( $a_VTA_Orden['DocReferenciaNum'] );
        if ( !is_null( $a_VTA_Orden['DocReferenciaId'] ) ) $o_VTA_OrdenBN->setDocReferenciaId( $a_VTA_Orden['DocReferenciaId'] );
        if ( !is_null( $a_VTA_Orden['DocReferenciaFecha'] ) ) $o_VTA_OrdenBN->setDocReferenciaFecha( utilTimestamp::getTimestamp( $a_VTA_Orden['DocReferenciaFecha'], "Y-m-d H:i:s" ) );
        if ( !is_null( $a_VTA_Orden['OrdenCredito'] ) ) $o_VTA_OrdenBN->setOrdenCredito( $a_VTA_Orden['OrdenCredito'] );
        if ( !is_null( $a_VTA_Orden['OrdenCreditoEstado'] ) ) $o_VTA_OrdenBN->setOrdenCreditoEstado( $a_VTA_Orden['OrdenCreditoEstado'] );
        if ( !is_null( $a_VTA_Orden['OrdenImpuestoFlag'] ) ) $o_VTA_OrdenBN->setOrdenImpuestoFlag( $a_VTA_Orden['OrdenImpuestoFlag'] );
        if ( !is_null( $a_VTA_Orden['OrdenExoneradoFlag'] ) ) $o_VTA_OrdenBN->setOrdenExoneradoFlag( $a_VTA_Orden['OrdenExoneradoFlag'] );
        if ( !is_null( $a_VTA_Orden['MonedaCod'] ) ) $o_VTA_OrdenBN->setMonedaCod( $a_VTA_Orden['MonedaCod'] );
        if ( !is_null( $a_VTA_Orden['MonedaCambioValor'] ) ) $o_VTA_OrdenBN->setMonedaCambioValor( ( float ) $a_VTA_Orden['MonedaCambioValor'] );
        if ( !is_null( $a_VTA_Orden['OrdenVenta'] ) ) $o_VTA_OrdenBN->setOrdenVenta( ( float ) $a_VTA_Orden['OrdenVenta'] );
        if ( !is_null( $a_VTA_Orden['OrdenVentaMN'] ) ) $o_VTA_OrdenBN->setOrdenVentaMN( ( float ) $a_VTA_Orden['OrdenVentaMN'] );
        if ( !is_null( $a_VTA_Orden['DsctoTipoCod'] ) ) $o_VTA_OrdenBN->setDsctoTipoCod( $a_VTA_Orden['DsctoTipoCod'] );
        if ( !is_null( $a_VTA_Orden['DsctoCod'] ) ) $o_VTA_OrdenBN->setDsctoCod( $a_VTA_Orden['DsctoCod'] );
        if ( !is_null( $a_VTA_Orden['OrdenDscto'] ) ) $o_VTA_OrdenBN->setOrdenDscto( ( float ) $a_VTA_Orden['OrdenDscto'] );
        if ( !is_null( $a_VTA_Orden['OrdenDsctoMN'] ) ) $o_VTA_OrdenBN->setOrdenDsctoMN( ( float ) $a_VTA_Orden['OrdenDsctoMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenDsctoLinea'] ) ) $o_VTA_OrdenBN->setOrdenDsctoLinea( ( float ) $a_VTA_Orden['OrdenDsctoLinea'] );
        if ( !is_null( $a_VTA_Orden['OrdenDsctoLineaMN'] ) ) $o_VTA_OrdenBN->setOrdenDsctoLineaMN( ( float ) $a_VTA_Orden['OrdenDsctoLineaMN'] );
        if ( !is_null( $a_VTA_Orden['MontoAnticipo'] ) ) $o_VTA_OrdenBN->setMontoAnticipo( ( float ) $a_VTA_Orden['MontoAnticipo'] );
        if ( !is_null( $a_VTA_Orden['MontoAnticipoMN'] ) ) $o_VTA_OrdenBN->setMontoAnticipoMN( ( float ) $a_VTA_Orden['MontoAnticipoMN'] );
        if ( !is_null( $a_VTA_Orden['MontoExonerado'] ) ) $o_VTA_OrdenBN->setMontoExonerado( ( float ) $a_VTA_Orden['MontoExonerado'] );
        if ( !is_null( $a_VTA_Orden['MontoExoneradoMN'] ) ) $o_VTA_OrdenBN->setMontoExoneradoMN( ( float ) $a_VTA_Orden['MontoExoneradoMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenAfecto'] ) ) $o_VTA_OrdenBN->setOrdenAfecto( ( float ) $a_VTA_Orden['OrdenAfecto'] );
        if ( !is_null( $a_VTA_Orden['OrdenAfectoMN'] ) ) $o_VTA_OrdenBN->setOrdenAfectoMN( ( float ) $a_VTA_Orden['OrdenAfectoMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenInafecto'] ) ) $o_VTA_OrdenBN->setOrdenInafecto( ( float ) $a_VTA_Orden['OrdenInafecto'] );
        if ( !is_null( $a_VTA_Orden['OrdenInafectoMN'] ) ) $o_VTA_OrdenBN->setOrdenInafectoMN( ( float ) $a_VTA_Orden['OrdenInafectoMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenImpuesto'] ) ) $o_VTA_OrdenBN->setOrdenImpuesto( ( float ) $a_VTA_Orden['OrdenImpuesto'] );
        if ( !is_null( $a_VTA_Orden['OrdenImpuestoMN'] ) ) $o_VTA_OrdenBN->setOrdenImpuestoMN( ( float ) $a_VTA_Orden['OrdenImpuestoMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenNeto'] ) ) $o_VTA_OrdenBN->setOrdenNeto( ( float ) $a_VTA_Orden['OrdenNeto'] );
        if ( !is_null( $a_VTA_Orden['OrdenNetoMN'] ) ) $o_VTA_OrdenBN->setOrdenNetoMN( ( float ) $a_VTA_Orden['OrdenNetoMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenBaseImponible'] ) ) $o_VTA_OrdenBN->setOrdenBaseImponible( ( float ) $a_VTA_Orden['OrdenBaseImponible'] );
        if ( !is_null( $a_VTA_Orden['OrdenBaseImponibleMN'] ) ) $o_VTA_OrdenBN->setOrdenBaseImponibleMN( ( float ) $a_VTA_Orden['OrdenBaseImponibleMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenImpuestoConDscto'] ) ) $o_VTA_OrdenBN->setOrdenImpuestoConDscto( ( float ) $a_VTA_Orden['OrdenImpuestoConDscto'] );
        if ( !is_null( $a_VTA_Orden['OrdenImpuestoConDsctoMN'] ) ) $o_VTA_OrdenBN->setOrdenImpuestoConDsctoMN( ( float ) $a_VTA_Orden['OrdenImpuestoConDsctoMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenTotalaPagar'] ) ) $o_VTA_OrdenBN->setOrdenTotalaPagar( ( float ) $a_VTA_Orden['OrdenTotalaPagar'] );
        if ( !is_null( $a_VTA_Orden['OrdenTotalaPagarMN'] ) ) $o_VTA_OrdenBN->setOrdenTotalaPagarMN( ( float ) $a_VTA_Orden['OrdenTotalaPagarMN'] );
        if ( !is_null( $a_VTA_Orden['OrdenComision'] ) ) $o_VTA_OrdenBN->setOrdenComision( ( float ) $a_VTA_Orden['OrdenComision'] );
        if ( !is_null( $a_VTA_Orden['OrdenObs'] ) ) $o_VTA_OrdenBN->setOrdenObs( $a_VTA_Orden['OrdenObs'] );
        if ( !is_null( $a_VTA_Orden['AnulacionComentario'] ) ) $o_VTA_OrdenBN->setAnulacionComentario( $a_VTA_Orden['AnulacionComentario'] );
        if ( !is_null( $a_VTA_Orden['AdminComentario'] ) ) $o_VTA_OrdenBN->setAdminComentario( $a_VTA_Orden['AdminComentario'] );
        if ( !is_null( $a_VTA_Orden['OrdenEstado'] ) ) $o_VTA_OrdenBN->setOrdenEstado( $a_VTA_Orden['OrdenEstado'] );
        if ( !is_null( $a_VTA_Orden['EstadoDevolucion'] ) ) $o_VTA_OrdenBN->setEstadoDevolucion( $a_VTA_Orden['EstadoDevolucion'] );
        if ( !is_null( $a_VTA_Orden['OrdenBloqueado'] ) ) $o_VTA_OrdenBN->setOrdenBloqueado( $a_VTA_Orden['OrdenBloqueado'] );
        if ( !is_null( $a_VTA_Orden['UsuarioCreacion'] ) ) $o_VTA_OrdenBN->setUsuarioCreacion( $a_VTA_Orden['UsuarioCreacion'] );
        if ( !is_null( $a_VTA_Orden['FechaCreacion'] ) ) $o_VTA_OrdenBN->setFechaCreacion( utilTimestamp::getTimestamp( $a_VTA_Orden['FechaCreacion'], "Y-m-d H:i:s" ) );
        if ( !is_null( $a_VTA_Orden['UsuarioActualizacion'] ) ) $o_VTA_OrdenBN->setUsuarioActualizacion( $a_VTA_Orden['UsuarioActualizacion'] );
        if ( !is_null( $a_VTA_Orden['FechaActualizacion'] ) ) $o_VTA_OrdenBN->setFechaActualizacion( utilTimestamp::getTimestamp( $a_VTA_Orden['FechaActualizacion'], "Y-m-d H:i:s" ) );
        return $o_VTA_OrdenBN;
    }
}
?>